Ubuntu

Buttons don't respond to mouse clicks

Reported by Greg A on 2009-08-07
This bug affects 1045 people
Affects Status Importance Assigned to Milestone
Chromium Browser
Invalid
Undecided
Unassigned
Compiz
Undecided
Unassigned
Mozilla Firefox
Invalid
Undecided
Unassigned
adobe-flashplugin (Ubuntu)
Medium
Unassigned
Declined for Jaunty by Travis Watkins
Declined for Karmic by Travis Watkins
Declined for Maverick by Sebastien Bacher
Lucid
Undecided
Unassigned
epiphany-browser (Ubuntu)
Undecided
Unassigned
Declined for Jaunty by Travis Watkins
Declined for Karmic by Travis Watkins
Declined for Maverick by Sebastien Bacher
Lucid
Undecided
Unassigned
flashplugin-nonfree (Debian)
Fix Released
Unknown
flashplugin-nonfree (Ubuntu)
High
Unassigned
Declined for Jaunty by Travis Watkins
Declined for Karmic by Travis Watkins
Declined for Maverick by Sebastien Bacher
Lucid
Undecided
Unassigned
gtk+2.0 (Ubuntu)
Undecided
Unassigned
Declined for Jaunty by Travis Watkins
Declined for Karmic by Travis Watkins
Declined for Maverick by Sebastien Bacher
Lucid
Undecided
Unassigned
ia32-libs (Ubuntu)
Undecided
Unassigned
Declined for Jaunty by Travis Watkins
Declined for Karmic by Travis Watkins
Declined for Maverick by Sebastien Bacher
Lucid
Undecided
Unassigned
nspluginwrapper (Fedora)
Unknown
Unknown
nspluginwrapper (Ubuntu)
Undecided
Unassigned
Declined for Jaunty by Travis Watkins
Declined for Karmic by Travis Watkins
Declined for Maverick by Sebastien Bacher
Lucid
Medium
Unassigned

Bug Description

*******
WARNING
*******
- This bug report is saturated of comments: only post if you have read all the previous ones and you are sure what you will say is very relevant. In any other case, just mark the bug as affecting you.
- This bug refers to any button being unclickable, not only the ones from the control panel dialogues. For that, refer to bug #1184383.

****************
HOW TO REPRODUCE
****************
- Try to click on a button inside a Flash screen.

******************
EXPECTED BEHAVIOUR
******************
- The button to be clickable.

**************
REAL BEHAVIOUR
**************
- The button isn't clickable.

************
WORK-AROUNDS
************
Note: Some of these may not work for you.

For Ubuntu previous to 10.10:
- To open a terminal and enter "gksudo gedit /usr/lib/nspluginwrapper/i386/linux/npviewer". Then to add: "export GDK_NATIVE_WINDOWS=1" before the last line of text.
- To disable desktop effects (Compiz).

For Ubuntu from 10.10 to 12.04:
- In the log-in screen, to switch to the "Ubuntu 2D" desktop environment.

For any Ubuntu version:
- To use "Alt + Tab" for navigating throught different buttons.
- To use the "browser-plugin-gnash" package instead; but it only will work with YouTube, with no fullscreen and not videos greater than 480p. On the other hand it will also not crash, and many videos now work using HTML 5 by activating it from http://www.youtube.com/html5.
- To use the Chromium web browser instead.
- To use Unity 2D, KDE, XFCE or LXDE desktop environments instead.
- To open videos through Totem video player instead.

ProblemType: Bug
Architecture: amd64
Date: Fri Aug 7 19:22:11 2009
DistroRelease: Ubuntu 9.10
NonfreeKernelModules: nvidia
Package: flashplugin-installer 10.0.22.87ubuntu2
ProcEnviron:
 LANG=en_GB.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.31-5.24-generic
SourcePackage: flashplugin-nonfree
Uname: Linux 2.6.31-5-generic x86_64

Greg A (etulfetulf) wrote :
Mark Nevill (nevillm) wrote :

Also getting this with
Package: flashplugin-installer 10.0.32.18ubuntu1
Architecture: amd64
DistroRelease: 9.10
Uname: Linux maul 2.6.31-5-generic #24-Ubuntu SMP Sat Aug 1 12:47:58 UTC 2009 x86_64 GNU/Linux

Azure (azure-umich) wrote :

I'm using the Awesome window manager. I do not know if this is relevant, but it really shouldn't be.

Anders Kaseorg (anders-kaseorg) wrote :

Same problem on Karmic amd64 (with Compiz).

Changed in flashplugin-nonfree (Ubuntu):
status: New → Confirmed
Greg A (etulfetulf) wrote :

We all appear to be on amd64.
I notice this isn't absolutely all flash. For example for people on facebook: http://apps.facebook.com/onthefarm/ or http://www.deadwhale.com/play.php?game=1066 both work.

Alex Knoll (alexknoll) wrote :

I found a workaround for this problem for those who have amd64 installations. Remove all existing flash plugins and download the 64-bit alpha prerelease from adobe's website here: http://labs.adobe.com/downloads/flashplayer10.html. Then extract the plugin to ~/.mozilla/plugins/ and it should work fine again (mine actually runs faster and smoother than it ever did before)

Nir Misgav (nirmisgav) wrote :

I have the same bug and Alex Knoll's workaround didn't work for me.

Christof Krüger (christofkr) wrote :

I'm also on amd64 and Alex Knoll's workaround did the trick for me.

Alex Knoll's workaround did the trick for me too.

DeShark (dan-sharkey88) wrote :

Alex Knoll's workaround worked for me, but it did take a bit of effort to eliminate all traces of other flash plugins. I eventually resorted to "rm"ing all other plugins with any mention of flash, gnash, etc. from the large multitude of plugin directories that firefox seems to have. I think this is related to the efforts I'd made to get flash working properly in the first place. I checked the "about:plugins" page for firefox to see which version of the plugin it was using instead of the pre-release alpha to finally remove them all. Hopefully this info will help someone else out there and adobe will get a move on releasing a final version of flash for amd64 or, even better, gnash will catch up with adobe!

Felix Geyer (debfx) wrote :

For me mouse clicks are sometimes (~5%) not recognized (using the 64-bit alpha flash plugin).

Adam (ilredil) wrote :

Alex Knoll's workaround did manage to give me the ability to have my clicks register, but then I lost sound. I tried some things from the multimedia HOWTO on the ubuntu forums, with no luck. So I eventually went back to the non-free package and I'll just deal with not being able to click, that's better than not having sound...

summary: - flash does not recognise mouse clicks
+ flash does not recognise mouse clicks (amd64)

I have this issue, but it is on a 32-bit system --- not amd64. Should I open a new bug (or reopen one of the duplicates) for this?

Nah, not worth it, I’ll just undo the title change. Thanks for the information.

summary: - flash does not recognise mouse clicks (amd64)
+ flash does not recognise mouse clicks

Same issue here. Upgraded from Jaunty AMD64 to Karmic beta 6 & can't click on most Flash based streaming video.

Quick followup. I did the 64 bit Adobe workaround as well, and it works great now. However, there were many steps to kill the old Flash plugin (I had installed based on this article originally http://www.cyberciti.biz/tips/install-flash-10-ubuntu-linux-64bit.html).

Here's the commands I ran from my history (after extracting the adobe .tar.gz download to ~/Temp):
sudo rm -f /usr/lib/mozilla/plugins/*flash*
sudo rm -f ~/.mozilla/plugins/*flash*
sudo rm -f /usr/lib/firefox/plugins/*flash*
sudo rm -f /usr/lib/firefox-addons/plugins/*flash*
sudo rm -rfd /usr/lib/nspluginwrapper

sudo cp ~/Temp/libflashplayer.so /usr/lib/mozilla/plugins/
sudo cp ~/Temp/libflashplayer.so /usr/lib/firefox-addons/plugins

I'm now able to watch fullscreen HD from Youtube & scroll around, play/pause without issues.

P.S. I'm running the NVidia 185.18.36 drivers on a Geforce 8600GT on a Core 2 Duo CPU w/ 4Gb of RAM.

Alexander Sack (asac) wrote :

in case you want to stop using the packages, you should purge flashplugin-nonfree (-installer) and nspluginwrapper to clean up in theory. if that still leaves files behind let me know.

Jeffrey Baker (jwbaker) wrote :

Well I installed the 64-bit plugin from Adobe's site and it just dumps core every time. So that doesn't seem like a workaround really. And the script linked in #16 is a total dud, did not work at all here, made numerous errors, downloaded multiple 404 errors, and variously ran amok. Do not recommend that one, either.

Ok. Same problem here. I tried Alex Knoll's work around as well and also was getting core dumps. Made sure to purge flashplugin-installer flashplugin-nonfree nspluginwrapper, and I was still getting core dumps. Then I removed firefox-3.0.

Now I can install the Adobe plugin and it's working fine. I tried reinstalling the flashplugin-nonfree and it still has the same problems as before.

I'm currently using the Adobe 10.0.32.18 release for x86_64

Spoke too soon. Shortly after posting, firefox started crashing again. Gone back to flashplugin-nonfree...

Dann S. Washko (dann) wrote :

I have this problem too on 32-bit on two different systems both upgrades from Jaunty. The problem exists in both Arora and Firefox.

Adam (ilredil) wrote :

I tried again and now firefox crashes... I got a stacktrace from the core file, but it was of little help since I don't have debugging symbols. I tried installing firefox-3.5-dbg, but that package doesn't include the firefox binary, only a couple libs (.so files). After removing libflashplayer.so from ~/.mozilla/plugins/ firefox no longer crashes, so it's quite clear that the plugin from Adobe is the problem.

mozilla-plugin-gnash wouldn't play youtube videos (no audio, no video) for me.

swfdec-mozilla played the video reasonably well (some glitches, but it generally looked OK), but no audio.

For the record I'm on an AMD64 machine with ubuntu karmic and I use ALSA for my sound. My window manager is metacity.

It looks like chrome has the same issue, also indicating that it's the adobe plugin. Some people have reported switching window managers to fix the issue.
http://code.google.com/p/chromium/issues/detail?id=20654

I'm using StumpWM as my window manager, and I'm experiencing this bug too. I
haven't tried any others.

It is rather curious, though, that 99% of the posters on this bug are using
amd64 and (so far) i'm the only 32-bit user. Anyone else here on a 32-bit
system?

Yeah I have it on my 32bit dell laptop too, I also have it on my 64bit core i7

whoop (tiredandnumb) wrote :

Default flashplayer-nonfree only works for me if I disable compiz. Karmic 64 bit

Adam (ilredil) wrote :

Confirmed, setting visual effects to "none" solved the problem for me. flashplayer-nonfree works fine now.

Jawher (djo-mos-contact) wrote :

I too I'm affected by this bug on a 32bit install, and setting visual effects to none resolves (if this can be called a solution :P) the issue.

Luke Faraone (lfaraone) wrote :

As reported above, this seems to be an issue which can be fixed by switching to Metacity.

Nathaniel Smith (njs) wrote :

Alas, life is not so simple, at least not for everybody.

I am affected by this bug, and I use metacity (on karmic, amd64, intel drivers).

I just tried switching visual effects to *on*, just in case, and that didn't help either.

Marc Aymerich (glicerinu) wrote :

Remove flashplungin-nonfree and install libflashplayer-10.0.32.18.linux-x86_64.so.tar.gz from Adobe works for me in firefox, but not in chromium-browser :(

Alexander Sack (asac) wrote :

sasa made a nspluginwrapper 1.3.0 branch at some point. could you check if building/installing that helps?

The branch is here:

https://code.edge.launchpad.net/~jazzva/nspluginwrapper/1.3.0

just run bzr branch URL; cd 1.3.0; debuild -b

install eventual missing build dependencies and run debuild -b again.

then install the produced .deb using "dpkg -i"

I build and installed that nspluginwrapper 1.3.0 deb, then ran ‘sudo dpkg-reconfigure flashplugin-installer’ to reinstall the flash plugin, and restarted my browser. Unfortunately, it has the same problem as before.

tags: added: regression-potential
Marco Londero (marcuz) wrote :

Affected epiphany too.

Ken Bloom (kbloom) wrote :
Tony Lewis (gnutered) wrote :

Alex's fix in comment #6 worked. I ended up dropping the file in /usr/share/ubufox/plugins/.

John Dong (jdong) wrote :

That's an undesirable workaround through; the 64-bit Flash plugin is still marked experimental by Adobe, and you lose out on process isolation of nspluginwrapper; In addition, if you use any Adobe Air things, they won't work either.

John Vivirito (gnomefreak) wrote :

This is not a firefox bug, We would have added it if it was a firefox bug.

Changed in firefox:
status: New → Invalid
Johan (johan-andersson-78) wrote :

This seems to be a problem for many people on AMD64-machines running Karmic, including myself.

https://answers.launchpad.net/ubuntu/+question/81648

Everything worked fine on Ubuntu 9.04 for me.

John Dong (jdong) wrote :

I'd also like to point out, contrary to somewhat popular believe, this is not a "flash sometimes doesn't" or "once in a while"; for me and presumably most of the people commenting, this is ALWAYS the case.

I am still unable to get any flash applets to register any mouse clicks.

Should this be milestoned?

Christopher Armstrong (radix) wrote :

I just want to point out that this is a really strange bug:

- It has been reported when using both chromium and firefox, sometimes one works and the other doesn't, sometimes neither of them work
- It has been reported on 32 bit and 64 bit machines
- It has been reported on setups which use and don't use nspluginwrapper
- It has been reported on metacity and compiz (and similarly to the browser, people have reported that switching fixed it, but some people have the problem under both window managers)
- It has been reported on intel and nvidia video cards

So it's really unclear where the problem lies. Well, of course, the only constant is that it occurs with adobe's flash plugin, but the same exact plugin version (I think) worked in Jaunty.

Luke Faraone (lfaraone) on 2009-10-07
Changed in flashplugin-nonfree (Ubuntu):
importance: Undecided → High
Johan (johan-andersson-78) wrote :

Well the 64-bit plugin solves the flash control issue (the controls in YouTube movies can be used).

BUT! it makes my Firefox seriously unstable othervise. For example the Google Mail website makes Firefox crash (even though it doesn't use flash, I think at least) when I have the 64-bit flash installed. Well thats what happens to me at least.

Specs:
Ubuntu 9.10 (64-bit) (upgraded from 9.04)
amd64 (Athlon Neo)
ATI-graphics

Marco Londero (marcuz) wrote :

I just tried the workaround posted by Alex (#6) and worked for me. But after that, firefox crashes when opening http://dvd-slideshow.sourceforge.net/wiki/Main_Page, maybe it's useful for debug.

roma (roma-nerto) wrote :

also with gmail firefox crashes using the workaround

Talk about the 64-bit native Flashplugin is off topic for this bug.
It's not at all surprising that a flashplugin marked experimental by
Adobe crashes, or that a crashed browser plugin without process
isolation takes down the entire browser.

On Oct 8, 2009, at 8:27 AM, Marco wrote:

> I just tried the workaround posted by Alex (#6) and worked for me. But
> after that, firefox crashes when opening http://dvd-
> slideshow.sourceforge.net/wiki/Main_Page, maybe it's useful for debug.
>
> --
> flash does not recognise mouse clicks
> https://bugs.launchpad.net/bugs/410407
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.

this problem disappears when i disable all compiz features/settings throgh the compizsettings-manager, maybe this is an conflict with one of the options/features enabled by default.

This isn't compiz, I don't have it installed on my system at all and I'm using openbox.

Kegan Holtzhausen (marzubus) wrote :

I have what I think is the same bug but in a different area.

I upgraded from jaunty to karmic on 3 different machines, 1 is virtual amd64 and the others are intel 64bit.
In Eclipse Galileo JAVA EE edition if I use the import project wizard I can not click through the whole any project wizard. the first button click works when you select something but then I only get a highlight if I click, double click also only highlights the buttons.

eg: File - New - Project - Java, Next wont work..

I then need to hit space to complete the wizard.

Sometimes only mouse movement is working and I dont even get a click registering for about 5 seconds or so. I get this in dmesg
[ 701.618736] psmouse.c: Explorer Mouse at isa0060/serio1/input0 lost synchronization, throwing 1 bytes away.

If its not the same as your youtube bugs then ill open a new one.

Thanks,
Kegan

On Oct 8, 2009, at 3:12 PM, Kegan Holtzhausen wrote:
>
> If its not the same as your youtube bugs then ill open a new one.

Hi Kegan, this sounds like a different bug. Opening a new report will
probably get you better results. (Sounds like you've got two different
new bugs, in fact!)

I was about to write the same comment as Kegan. On AMD64, using Karmic beta + updates as of October 8 10:30pm EST, I can't get mouse clicks to register in some (not all) Flash applets on Firefox and Chrome, as well as in Eclipse. Are we sure there's no deeper root cause here?

Hi Victor

I logged a new bug for this eclipse one.
https://bugs.launchpad.net/ubuntu/+bug/447066

Please mark it as effects you too.

Thanks,
Kegan

2009/10/9 Victor Costan <email address hidden>

> I was about to write the same comment as Kegan. On AMD64, using Karmic
> beta + updates as of October 8 10:30pm EST, I can't get mouse clicks to
> register in some (not all) Flash applets on Firefox and Chrome, as well
> as in Eclipse. Are we sure there's no deeper root cause here?
>
> --
> flash does not recognise mouse clicks
> https://bugs.launchpad.net/bugs/410407
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Kegan Holtzhausen (marzubus) wrote :

Hi John,
I logged a new bug if you need to know.

https://bugs.launchpad.net/ubuntu/+bug/447066

Kegan

2009/10/8 John Dong <email address hidden>

>
> On Oct 8, 2009, at 3:12 PM, Kegan Holtzhausen wrote:
> >
> > If its not the same as your youtube bugs then ill open a new one.
>
>
> Hi Kegan, this sounds like a different bug. Opening a new report will
> probably get you better results. (Sounds like you've got two different
> new bugs, in fact!)
>
> --
> flash does not recognise mouse clicks
> https://bugs.launchpad.net/bugs/410407
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Hi

I'm having the same problems (both in flash and eclipse). Both appeared only after the upgrade from Jaunty to Karmic.

I fix it by turning off desktop effects throught the system => preferences => appearance, so on my system it appears to be compiz related.

Sometimes this big happens, sometimes it doesn't. Flash most of the time do not respond to mouse clicks in the Epiphany browser.

Ken Bloom (kbloom) wrote :

Is this related to #359407 and the interface ID change in XulRunner 1.9.1?

Can someone please post a URL for a site on which they're able to reproduce this? I was suffering from this before, but I can't remember exactly where; and every (random) site I try now is working with both firefox and conkeror, and using xulrunner 1.9.0 and 1.9.1.

Ignore that... it's happening on youtube.com with both conkeror and firefox, and with both xulrunner versions (1.9.0, 1.9.1). For posterity, here's what I did:

1) Go to http://www.youtube.com/user/ubuntudevelopers?blend=3&ob=4
2) Click on video which is linked inline. Widget graphically responds to mouseover and click event, but video doesn't play.

The plot thickens, however. This video *does* work (now I'm using just conkeror and xulrunner 1.9.1):
http://www.youtube.com/user/ubuntudevelopers?blend=3&ob=4

This video auto-plays just fine, but clicking the mouse to pause it doesn't work -- *most of the time*... but if I click it many times in rapid succession, *one* of the clicks will eventually get through and pause it. Same with unpausing.

So the click event is being sent, in any case: the graphical representation of the widget changes on click. And the pausing does happen *sometimes*. Perhaps the event isn't making it to the "video playback" handler --- being consumed (sometimes) prior to that? Perhaps handler is broken? But I don't know flash code or the plugin code, so perhaps this is all nonsense. :-\

In any case, why does that one video work while the other one doesn't? Like I said, I know nothing of flash. Is there a significant difference in the way that these videos are "embedded" on the page --- like whatever <script> tags, etc. that you use to put flash in a page?

So I just realized that I accidentally posted the same link twice; interestingly, though, I realized that my statement was not invalid. The embedded video (in the upper right quadrant of screen) works/fails intermittently. I tried it ~15 times and it failed ~10.

It is starting to sound to me (tho again, I know *nothing* about this code) like some sort of truly non-deterministic bug, perhaps related to concurrency (in thread synchronisation, isolation, etc.) or the like.... I don't know -- just brainstorming here!

Following what jsteinhart said, I've found more specifics about this bug and have a work around:

1. If I hold either the back, forward or mouse wheel button down then left-click, Flash receives the click as normal.
2. If I right mouse to bring up Flash's context menu, then move the mouse and click away from the menu, THEN do NOT move the mouse, and left-click once more Flash responds correctly ONCE.

It seems any mouse button in combination with the left works, but left-clicking on its own or with keyboard modifiers does not.

I'd agree with jsteinhart, something is consuming the click early - something that is circumvented by holding down another mouse key.

Can anyone else confirm this behaviour?

in response to jim (comment 59):

1. yes - this works for me. but only if i:
 -load the link in comment 57 and do not first click on the video (thus "selecting" it or making it the active page widget, or whatever you call this)
-hold down <- or -> keys, and
- then left-click video

(initially though i'd been clicking on the video first, and then trying the key chord... but as soon as i hit <- the video would start playing before i could get to the mouse click... presumably due to a keymapping i.e. normal behavior)

2. yes, this also works for me but only when i do the following: right click on video, bring up context menu, click *away from video* (i.e. on html background somewhere so that video is not selected/active), *then* one click will get through

I can confirm the behavior reported by Jim as well. Strangely, on some
youtube movies, starting and pausing does work:

1. http://www.youtube.com/user/ubuntudevelopers?blend=3&ob=4 (embedded): no
mouse clicks register, except when using the click magic described by jim
and jsteinhart.
2. http://www.youtube.com/watch?v=PLr21fKdpXg (same movie, not embedded):
works perfectly
3. http://www.youtube.com/watch?v=CB1RutFp0Cc (first hit when searching for
"song" (just a random keyword)): same as nr 1

A pattern seems to be that movies with a HQ button don't work, and movies
that do not have a HQ button do work. Embedded movies don't work either.
Hmm... maybe ask Adobe for some source code? :)

On Sat, Oct 10, 2009 at 12:43 AM, jsteinhart <email address hidden> wrote:

> in response to jim (comment 59):
>
> 1. yes - this works for me. but only if i:
> -load the link in comment 57 and do not first click on the video (thus
> "selecting" it or making it the active page widget, or whatever you call
> this)
> -hold down <- or -> keys, and
> - then left-click video
>
> (initially though i'd been clicking on the video first, and then trying
> the key chord... but as soon as i hit <- the video would start playing
> before i could get to the mouse click... presumably due to a keymapping
> i.e. normal behavior)
>
> 2. yes, this also works for me but only when i do the following: right
> click on video, bring up context menu, click *away from video* (i.e. on
> html background somewhere so that video is not selected/active), *then*
> one click will get through
>
> --
> flash does not recognise mouse clicks
> https://bugs.launchpad.net/bugs/410407
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>

This also affects Opera (10.00.4585.gcc4.qt4) on Ubuntu Karmic/AMD64.

I am not 100% certain, but I have been suffering about this using Metacity, too. Could this be issue outside Flash/browsers? Something like Xorg drivers? KMS? Opinions?

Matti Viljanen (mattiviljanen) wrote :

I just discovered a very disturbing thing. See this little musically addictive flash:

http://lab.andre-michelle.com/tonematrix

The buttons are supposed to stay black, until clicked. Then the button turns white (producing sound intervally). When trying this on Ubuntu, the whole flash blinks semi-randomly with high speed, as click was delivered to every button at the same time; however the buttons don't ever get pressed... Very confusing!

What's even more confusing, is that I could reproduce the problem with all other combinations of browsers (Opera, Firefox and Epiphany) and window managers (Compiz and Metacity) except Opera with Compiz...

I think I'll get some sleep and continue isolating the problem at later time...

Jeffrey Baker (jwbaker) wrote :

Maybe we can just all agree that flash sucks, flash has hundreds of weird bugs, and some recent change in X or compiz has upset the delicate balance of hacks that keep flash from falling on its face. Certainly we can all agree that recapitulating all of flash's quirks on this thread does nothing but spam dozens of people.

Kevin Cassidy (kcassidy) wrote :

I have the same problem (amd64). Note that the clicks register, I see the buttons push in but whatever scripted action is associated with the button doesn't seem to be executed. Check out the Google Wave video (wave.google.com) or hulu.com for examples. If I click furiously on the button and move around the edges eventually it will register.

Kevin Cassidy (kcassidy) wrote :

Here's a work-around which works 100% of the time. Hopefully this will provide some insight into the cause of the bug.

Take http://wave.google.com/help/wave/about.html#video for example.

Right-click anywhere on the embedded flash object so that the flash menu appears. Then, while the flash menu is up, double click on the button you want to interact with and it will recognize the mouse click.

Evgeny Kuznetsov (nekr0z) wrote :

Jeffrey, we'll certainly have to agree that Flash makes a huge part of web user experience these days, and we'll certainly have to agree that with a regression like this we'll be having a very hard time persuading people that Ubuntu is worth anything and solving bug #1.

Kevin, sorry to say this, but your "workaround" doesn't work for me. At all.

Flash sucks and we all know it. But yes - this is a bug deal.

However this work around worked for me. I'm wondering if there's
something interfering with flash, something above that. Not sure how to
explain it better or test it though.

On Sun, 11 Oct 2009 06:02:10 -0000
Evgeny Kuznetsov <email address hidden> wrote:

> Jeffrey, we'll certainly have to agree that Flash makes a huge part of
> web user experience these days, and we'll certainly have to agree that
> with a regression like this we'll be having a very hard time persuading
> people that Ubuntu is worth anything and solving bug #1.
>
> Kevin, sorry to say this, but your "workaround" doesn't work for me. At
> all.
>

--
Michael Lustfield
Kalliki Software

Network and Systems Administrator

fix in Opera:

$ GDK_NATIVE_WINDOWS=1 opera

EtherNet (gera-canosa) wrote :

I have the same bug running on my Karmic, it seems like we're a lot of people having this issue (Amd64)

Micah Gersten (micahg) wrote :

Sorry, I thought I was looking at a different bug.

Changed in flashplugin-nonfree (Ubuntu):
status: Confirmed → Invalid
status: Invalid → Confirmed
Tarthen Brown (tarthen) wrote :

Getting it too. The Right-click move trick fixes it, it seems, but in general it is very very hit and miss.

AMD64, Nvidia graphics, Compiz. All latest packages. Repo version of Flash.

I also had this problem which I can fix by disabling compiz. I'm also on 32-bit Ubuntu so it isn't 64-bit related.

There's a semi-workaround here -> http://ubuntuforums.org/showthread.php?t=1275500&page=2 that doesn't involve disabling compiz which may help someone see what the problem is:

"Hold down the right button. Keep holding it down. Then left click somewhere on the page to get rid of the context menu. Now, still holding the right button, left click on flash buttons, etc. It should work."

I just did a fresh install of Karmic Beta AMD64 and also see this issue with compiz on Nvidia graphics.

The workaround in #74 works for me (thanks!)

Some additional information: Normally when hovering over clickable areas in flash a "hand with finger" pointer is shown. When (and only when) "desktop effects" are enabled pushing down and holding down the mouse-button changes this pointer into a regular arrow. Any mouseover highlight on the button is lost as the pointer changes. Somehow it seems compiz steals focus from the flashplayer when the button is pushed.

I removed the plug-in that is installed via Ubuntu Software Center and installed the version directly from the Adobe website.

Here ---> http://download.macromedia.com/pub/labs/flashplayer10/libflashplayer-10.0.32.18.linux-x86_64.so.tar.gz

then I extracted libflashplayer.so to /usr/lib/mozilla/plugins/libflashplayer.so and removed the

sudo ln -sf /usr/lib/mozilla/plugins/libflashplayer.so /usr/lib/firefox-addons/plugins/
sudo ln -sf /usr/lib/mozilla/plugins/libflashplayer.so /usr/lib/xulrunner-addons/plugins/

Basically, I used this script as a guide. (Thanks and credit to the blog author)

http://www.myscienceisbetter.info/install-native-64bit-flash-player-10-on-linux.html

I cannot read... Nevermind.. This was posted above... :/

i have this issue on karmic beta with daily updates. Did not have it for last few days, but I guess some new updates have caused this?
not only youtube, it also affects facebook videos and most facebook videos don't even play completely (play fine on IE in winxp). No errors when firefox is run from terminal and this problem is present with opera and google chromium too.

if i goto prefs->appearance->visualeffects and change that to none (was completely unchecked for me) things start working again.So it has to do with the default visual effects settings on karmic

Tarthen Brown (tarthen) wrote :

@jatin sachdeva - Yes, that turns off Compiz, which according to what some people say, is what causes it. Switching Compiz with Metacity seems to work with me too.

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

I'm not using metacity or compiz and I have this issue. I'm wondering
if perhaps metacity has a fix for the issue rather than not having the
issue. I don't really know for sure, but so far it seems to make some
sense.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkrVYK0ACgkQ3y7Nst6YLGWUhACdFtTQy8/JnmOLusJxL/sqSklf
FwoAn0AcpL1kiD6e7bp24ckbm1rFYCG4
=tuL2
-----END PGP SIGNATURE-----

I use Kubuntu 9.10 64bit with kwin desktop effects.
Also i use swiftweasel 3.5.2 and 64bit flash plugin from adobe's site.

Before upgrade (from 9.04) everything was OK.

After upgrade, every time i play a flash on my browser the buttons works nice for a few clicks, but suddenly stop working.
To solve the problem i must restart the browser...

Duane Hinnen (duanedesign) wrote :

i too am suffering from this bug. No mouse clicks in Flash. The R-click workaround did help. Switching to metacity also helped. However this bug is being experienced by people who do not use Compiz. I ran about:plugins in Firefox. I noticed Firefox was not using the normal 64 bit plugin i had installed, it was using.
npwrapper.libflashplayer.so
While helping someone in a support channel I did install the 'ubuntu-restricted-extras' package (I am assuming where the 32 bit flash plugin came from).

duanedesign@duanedesign-laptop:~$ locate libflashplayer.so
/home/duanedesign/.mozilla/plugins/libflashplayer.so
/usr/share/ubufox/plugins/npwrapper.libflashplayer.so

You can see it located my 64 bit plugin in my home directory and the npwrapper.libflashplayer.so.
I uninstalled 'flashplugin-installer' and 'nspluginwrapper'.

I launched Firefox put about:plugins in the address bar and got:
libflashplayer.so
Good I thought. So I proceeded to YouTube, which worked great, and was able to use all the Flash buttons. However visiting Gmail crashes the browser instantly. No turning gray, it just disappears.

So fixed one problem, have a new one. Well same problem, different symptom :)

See this blog post. Describes the problem well and has a solution (which unfortunately did not work for me). He got to the point I am at and installed the package 'libadns1'. This worked for him

He compared the output of ldd libflashplayer.so while running 64bit Firefox on Karmic and in a Jaunty chroot (ran fine on the latter). He noticed one extra library was showing up in the chroot, libresolv.so.2 which prompted him to install 'libadns1'. Also worth a note he was running Sawfish and does not use Compiz.

Nathaniel Smith (njs) wrote :

Another workaround that AFAICT hasn't been mentioned, but that works for me: holding down Control or Shift while clicking allows the clicks to get through.

It sort of looks like someone is incorrectly installing an X passive grab? Does anyone have any idea how to convince nspluginwrapper to run against xtrace? (This would require somehow getting it to use a different $DISPLAY than firefox.)

And just a reminder, since some people seem to be forgetting -- some of us are experiencing this bug with normal metacity, no compiz, no visual effects.

@83: Err... the new libresolv.so.2 is just because libc rearranged things a bit. And libadns1 doesn't touch libresolve.so.2, and the flashplayer pre-release doesn't reference adns in any way. I am very skeptical that installing libadns1 has any affect on flashplayer whatsoever.

Duane Hinnen (duanedesign) wrote :

It appears I spoke too soon. I did a reboot and everything seems to be working fine. Flash buttons are working and Gmail does not crash.

@85: I also uninstalled the libadns1 package and it looks like you are correct. Uninstalling it has made no difference one way or the other.

Here is a convenient script to install the 64 bit plugin.
http://ubuntuforums.org/showthread.php?t=1259102

Yorirou (yorirou) wrote :

Hi,

I have a 64 bit Karmic Koala with Intel 4500mhd graphics.

Sometimes I experience this bug on certain sites and certain situations (eg. youtube works, embedded youtube player not). Sometimes rebooting solves the problem, sometimes not.

Really weird.

Evgeny Kuznetsov (nekr0z) wrote :

I can confirm that installing libadns1 as per previous comment fixed nothing for me.

Johan (johan-andersson-78) wrote :

Don't know if this is connected to the main problem but sometimes (not often) my flash videos on YouTube crash. dmesg gives:

[ 3155.362302] npviewer.bin[17169]: segfault at ff99cd48 ip 00000000ff99cd48 sp 00000000ffe2218c error 14
[ 3296.483202] npviewer.bin[26581]: segfault at ff99cd48 ip 00000000ff99cd48 sp 00000000ff891f1c error 14

Firefox itself works fine and I only have to close the affected windows or tab that held the crashed video to be able to watch another video. Can't say if the crash is good or bad for click-functionality. I think (but not sure at all) it works better after the crash.

Hope it helps...

This is definitely not a window manager issue. Switching to gnash until this issue is solved may be a good idea. Gnash seems to work just fine. The only issue is that gnash is one of those tools that could use some more work...

John Dong (jdong) wrote :

libadns1 had NO EFFECT here, nor does it make sense in any way for it to have an effect.

Guys, this bug maybe caused by past updates... Can you try to completely remove flashplugin-installer. Reinstall it, then restart your browser. That worked for me.

FWIW, I already tried that with firefox and conkeror, and it did not help. After purging packages, I manually went through the appropriate directories to make sure that everything had been removed, and then freshly installed the plugins.

On Oct 16, 2009, at 12:04 PM, Jurist C. M. Macabuhay wrote:

> Guys, this bug maybe caused by past updates... Can you try to
> completely
> remove flashplugin-installer. Reinstall it, then restart your browser.
> That worked for me.

No effect here.

Hey everyone:

Nathaniel Smith's workaround of holding down shift while clicking work great for me! Thank you SO much!

Just for the record, installing libadsl didn't work, and installing the latest flash plugin from Adobe's website caused firefox to crash regularly.

I confirm this bug with metacity + flashplayer from karmic MOTU multiverse repositories + amd64 + firefox3.5

rhdi (rodihodi) wrote :

I believe this might not be a problem of flash, but of compiz / xorg and the drawing surfaces used by flash. I'm saying this because I have very similar issues in vmware and the same workarounds seem to "kind of" work. No hard evidence though... (And yes, flash behaves funky for me as well ;-) but hey, breaking a few fingers and it accepts my clicks!)

Biji (biji) wrote :

i'm having this problem too, 64bit karmic, using chrome. could it because of 64bit?

>Guys, this bug maybe caused by past updates... Can you try to completely remove flashplugin-installer. Reinstall it, then restart your browser. That worked for me.

That is my previous post and sadly it really doesn't fix anything on my system. This bug is so random, and weird...

I'ts a very weird bug that has to be fixed before final release. It only occurs with adobe flash player when compiz is activated. Note that this is not a problem in other window managers such as metacity or xfwm.

If it doesn't get fixed, many users will be very confused. I really hope the developers work on it.

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Please read everything that's happened. It's not specific to metacity,
compiz, gnome, kde, firefox, chrome, chromium, etc.

The ONLY thing that this seems to be specific to is
flashplugin-nonfree.

Sometimes this glitch can be bypassed by holding shift when clicking or
by right clicking and holing the right mouse button while left clicking.

The biggest issue here is that this isn't open source and we can't just
pop open the code to see what's going on. I tried running this through
a debug process and didn't come up with anything useful.

We all know this is a big issue, that's why this is flagged as a
critical bug. It's not a "show stopper" but it is being looked at.

We should try to keep this lacking the "me too" messages however. You
can subscribe above, this will help to keep new messages for new
information only.

Thanks,
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkrdETgACgkQ3y7Nst6YLGVNqgCgpojradcCEA/YCOCSvi5AKmVi
kdcAoJ9/7El1NEpSRT/KVtPeASXTpg0T
=gk0f
-----END PGP SIGNATURE-----

>The ONLY thing that this seems to be specific to is
>flashplugin-nonfree.

So, how come it works for me in xfwm and metacity, but not compiz?

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

> >The ONLY thing that this seems to be specific to is
> >flashplugin-nonfree.
>
> So, how come it works for me in xfwm and metacity, but not compiz?
>
I'm not sure, I use xdm and openbox. I tried fluxbox with the same
issue. Perhaps xfwm may have a little clue...? I'll try it out and let
you guys know what happens.
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkrc4PcACgkQ3y7Nst6YLGV8igCdFcL8ENehq2LSZFeSRwn8npLu
7i0AoLAKWjOslXnGR/2+LOA/1leVr7Sj
=UK1E
-----END PGP SIGNATURE-----

Has anyone tried to use an older version of nspluginwrapper with compiz/kwin active to see if clicks work on sites like youtube?

I have not tried, but installing the version from Jaunty (or force installing) would be a start for testing this.

For me, installing the 32 bit version of abobe flash without nspluginwrapper is NOT a solution due to constant crashing, and the same goes for the 64 bit version.

Disabling Compiz to make flash work is a band aid fix at best in this case.

I do not believe that it is compiz-related. It doesn't work for me on karmic on amd64 and I am running metacity.

Stefan Hammer (j-4) wrote :

To protect people always have to write "I am affected if and not an here and there..." I created a small survey which should help address the bug!

Please fill it, if you are affected!
http://www.kwiksurveys.com/online-survey.php?surveyID=LJIKO_252d868c

I hope that we can see any results soon.
Results are shown here and after you filled!
http://www.KwikSurveys.com/results-overview.php?surveyID=LJIKO_252d868c&mode=4

Thanks,
Jango

Johannes Frank (jmfrank) wrote :

Hello, for me I found a nice workaround. It looks like the <<show desktop>> plugin causes the bug. I use compiz now and have this plugin disabled. Enabling changes appearence of the plugin regulators and disables mouseclicks. Disabling the plugin changes appearance back in flash and mouseclicks work again.

I am using a intel quad core amd64 machine with crossfire ati cards on karmic.

Hope this helps someone.

Greetings Johannes

Johannes Frank (jmfrank) wrote :

Sorry, its much funnier than I thought. Openening the compizconfig-settings-manager works as a bug toggle. Open it once flash works, second time doesn't third time won't and so on.
This effect overlayed my first suspicion, but I think this is the behavior. Can anyone confirm this?

Johannes

Jamie Nadeau (james2432) wrote :

disabling compiz only worked once for myself, after that it no longer worked as a work-around

p.s. PEOPLE PLEASE STOP SPAMMING THIS BUG REPORT WITH:

*DISABLING COMPIZ = WORK AROUND*

I'm tired of getting e-mails that are 80% what is above

Yorirou (yorirou) wrote :

Disabling compiz also not works for me, and I've never had the show-desktop plugin enabled.

Micah Gersten, can you post some information about the Adobe bug tracker progress? The link above (#71) leads to a page that would need registeration...

A pretty decent workaround for me is the following:

Select some text (from the website) with your left mouse button, then
drag&drop it onto the flash player. After that the controls work
reliable for me.

Yes, this bug is affecting me in karmic amd64 release candidate.

Joseph Daniel (josephdaniel) wrote :

I tried disabling compiz, using the amd64 prerelease but I still couldn't click any flash buttons.

The only workaround so far is keeping another mouse button pressed. Whenever the middle or the right mouse buttons are clicked, the left click works fine as described by bro and Rolander.

Firefox 3.5.3 amd64 karmic beta

Another workaround for enabled compiz (in karmic rc1)

Use the gconf-editor.

1. make sure to "scale" plugin is enabled in /apps/compiz/general/allscreens/options/active_plugins list.
2. assign the plugin to bottom right corner with /apps/compiz/plugins/scale/allscreens/options/initiate_all_edge BottomRight
3. Initiate showing app windows with moving mouse pointer to bottom right corner and move again to disable the grouped view.

Controls in flash like youtube player works well.
After logout-login, you must move the mouse pointer to bottom-right corner twice.

I disabled compiz and it worked ..
It seems to be a compiz-related bug

2009/10/23 Joseph Daniel <email address hidden>

> I tried disabling compiz, using the amd64 prerelease but I still
> couldn't click any flash buttons.
>
> The only workaround so far is keeping another mouse button pressed.
> Whenever the middle or the right mouse buttons are clicked, the left
> click works fine as described by bro and Rolander.
>
> Firefox 3.5.3 amd64 karmic beta
>
> --
> flash does not recognise mouse clicks
> https://bugs.launchpad.net/bugs/410407
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in Chromium Browser: Unknown
> Status in The Mozilla Firefox Browser: Invalid
> Status in “flashplugin-nonfree” package in Ubuntu: Confirmed
>
> Bug description:
> Binary package hint: flashplugin-nonfree
>
> For example on youtube, whilst it recognises my mouse moving over various
> buttons, actual mouse clicks are not recognised. I can navigate using 'tab'
> but this is very painful. I can also right click. The problem doesn't occur
> with other flash players, e.g. swfdec-mozilla.
>
> ProblemType: Bug
> Architecture: amd64
> Date: Fri Aug 7 19:22:11 2009
> DistroRelease: Ubuntu 9.10
> NonfreeKernelModules: nvidia
> Package: flashplugin-installer 10.0.22.87ubuntu2
> ProcEnviron:
> LANG=en_GB.UTF-8
> SHELL=/bin/bash
> ProcVersionSignature: Ubuntu 2.6.31-5.24-generic
> SourcePackage: flashplugin-nonfree
> Uname: Linux 2.6.31-5-generic x86_64
>

i'm running 9.10 RC i386 - removed flash-installer and flash-nonfree + downloaded the flash deb from adobe site ... after i have installed it everything works fine (opera and FF 3.5.3)

Pedro Côrte-Real (pedrocr) wrote :

I installed the 64 bit player (the same 10.0.32.18 version) from the adobe labs site and the problem seems fixed in firefox whereas in chromium it is pretty much the same. I wonder if the plugin itself is using threads and has some kind of race condition that is being randomly affected by all these workarounds people are proposing.

Nathaniel Smith (njs) wrote :

I just tested whether downgrading the flash plugin or nspluginwrapper to the versions in jaunty affected this bug.

For me, I see:
karmic nspluginwrapper, karmic flashplayer.so: buggy
karmic nspluginwrapper, jaunty flashplayer.so: buggy
jaunty nspluginwrapper, karmic flashplayer.so: buggy
jaunty nspluginwrapper, jaunty flashplayer.so: buggy

This suggests that either:
1) The trigger was a change in some other package (firefox seems like the most likely bet, but I'm not prepared to try downgrading firefox on my live desktop without some more thought)
2) I messed up my testing somehow, and even when I thought I had reinstalled things, I had not. Since the plugin is running out-of-process, though, I'm not sure how that would be possible. If anyone wants to confirm these tests, with a reboot in between each to make sure that all state is cleared, feel free. Basically what you have to do is:

a) Add jaunty lines to your /etc/apt/sources.list (but leave your karmic lines there!):
deb http://us.archive.ubuntu.com/ubuntu/ jaunty main universe restricted multiverse
deb-src http://us.archive.ubuntu.com/ubuntu/ jaunty main universe restricted multiverse
b) apt-get update
c) Downgrade with 'apt-get install flashplugin-installer=jaunty', 'apt-get install nspluginwrapper=jaunty'. Well, except that didn't want to work for me, so I used 'apt-get install flashplugin-installer=10.0.22.87ubuntu2', 'apt-get install nspluginwrapper=1.2.2-0ubuntu5' which happen to be the versions in jaunty.
d) Don't forget to remove the jaunty lines from /etc/apt/sources.list (though they are unlikely to hurt anything)
e) 'apt-get install nspluginwrapper flashplayer-nonfree' should re-upgrade you to the latest version from karmic.

My tests are on Karmic, firefox 3.5.3+build1+nobinonly-0ubuntu3, on amd64, with metacity window manager, intel video.

Alexander Sack (asac) wrote :

added compiz bug task as there are confirms in the bug that disabling compiz (some even claim that disabling the compiz "show desktop" plugin) helps.

milestoning karmic-updates to indicate that it feels worthwhile to role a SRU in case we find a backportable solution for this.

description: updated
Changed in compiz (Ubuntu):
importance: Undecided → Medium
milestone: none → karmic-updates
status: New → Confirmed
Travis Watkins (amaranth) wrote :

However others have stated it happens with metacity (and other WMs as well) so there is something wrong with flash or a library it is using. I know there is something different with events in gtk 2.18 so perhaps flash was relying on something that only accidentally worked with previous versions.

Tom Jaeger (thjaeger) wrote :

My guess would also be that this is somehow related to gtk's new client-side window approach. Can someone try if invoking firefox from the command line as "GDK_NATIVE_WINDOWS=1 firefox" fixes the issue?

pablomme (pablomme) wrote :

@Tom: nope, the issue remains.

Tarthen Brown (tarthen) wrote :

@Tom Youtube now works 90% of the time. Not a fix though. AMD64, Nvidia, Compiz on.

Tarthen Brown (tarthen) wrote :

"Gtk-Message: Failed to load module "atk-bridge": /usr/lib/gtk-2.0/modules/libatk-bridge.so: wrong ELF class: ELFCLASS64" is shown in the console running plain "firefox". However, "GDK_NATIVE_WINDOWS=1 firefox" doesn't produce this warning. "GDK_NATIVE_WINDOWS=1 firefox", however, has these errors:
*** NSPlugin Wrapper *** ERROR: NPP_WriteReady() wait for reply: Message timeout
*** NSPlugin Wrapper *** WARNING:(/build/buildd/nspluginwrapper-1.2.2/src/npw-wrapper.c:2390):invoke_NPP_Write: assertion failed: (rpc_method_invoke_possible(plugin->connection))

...a clue? Or is 3:18am getting to me ;P?

Youtube usually works as Tarthen mentioned, but does this mean that now
it's better than it was before some days?

On Sat, 2009-10-24 at 19:12 +0000, Tarthen Brown wrote:
> @Tom Youtube now works 90% of the time. Not a fix though. AMD64, Nvidia,
> Compiz on.
>

i have played a little with flash (i'm runing opera 10 now and there is no difference if i use adobe or flash-nonfree)

stupid "fix" i found: If the flash does not respond scroll down so you can't see the flash - left click on the background - scroll back and you can do one click on the flash

sounds like witchcraft but works under opera ... dunno if it helps :|

(9.10 i386)

This bug IS NOT RELATED TO Chromium, Compiz, or Mozilla Firefox. This was made perfectly clear in previous messages.

The bug IS RELATED TO flashplugin-nonfree.

We DO NOT need "this affects me too" posts.

Unless you have something new to reports, please just subscribe to the post. There's a nifty little feature up top right next to "Nominate for release". It will let you pick "This bug affects me too". This is the correct way to say that a bug affects you instead.

Alexander Sack: You can not confirm a bug you submitted as per Ubuntu bug handling rules. If you waited, this would have been invalidated because it has been confirmed to have a wider scope. I will be touching the remote bugs and suggest they invalidate the bug reports so we can can focus on what is causing the issue.

I'd like to remind you guys that claws-mail had a glitch with the new GTK as well. I don't know what exactly was going on, but they did fix the issue.

Changed in compiz (Ubuntu):
status: Confirmed → Invalid
Micah Gersten (micahg) on 2009-10-25
tags: added: metabug
Dinesh (linux-future) wrote :

I can confirm this issue is present in the latest Karmic updates. After installing the flash plugin from Adobe's website: http://labs.adobe.com/downloads/flashplayer10.html

clicks work perfectly. BUT it crashes firefox when opening GMail. In case of Chrome, it flags an error saying the flash plugin has crashed. I believe it is a Flash plugin bug rather than compiz / firefox / chrome issue.

This is very interesting as I indeed installed 64 bit flashplayer and
everything works perfectly now. But..........! with me, Firefox (3.5.3) *does
not crash at all* and also Gmail works fine, which I tested over and ober
again. So as far as I am concerned it indeed is a flash plugin problem.
Strange at other systems Gmail crahes.

2009/10/25 Dinesh <email address hidden>

> I can confirm this issue is present in the latest Karmic updates. After
> installing the flash plugin from Adobe's website:
> http://labs.adobe.com/downloads/flashplayer10.html
>
> clicks work perfectly. BUT it crashes firefox when opening GMail. In
> case of Chrome, it flags an error saying the flash plugin has crashed. I
> believe it is a Flash plugin bug rather than compiz / firefox / chrome
> issue.
>
> --
> flash does not recognise mouse clicks
> https://bugs.launchpad.net/bugs/410407
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>

It is interesting to see that, after deleting all 32 bit flash files and installing the the 64 bit version, Flashplugin works perfectly now. Even better than in Jaunty and it also works with compiz and emerald.
In Jaunty, with the 64 bit version, I never could jump forward or backward in a video and many times the video kept hanging for some time and then catched up again at double speed. That is also the reason I, at first, decided to install the 32 bit flashplugin not the 64 bit version. But as I said before the 64 bit version now does everything what it should do.

So it looks indeed as if there is something wrong with Flashplayer. A strange thing however is that other people still seem to have problems, even after they replaced the 32 bit version with the 64 bit version.

Luke Hoersten (lukehoersten) wrote :

> WORKAROUND 2: disable the show desktop plugin in compiz (to be confirmed?)

This is not the issue for me because the plugin was already disabled and the problem still persists (64bit).

Oliver Horn (oliverhorn) wrote :

Hi,

had the same problem with flashvideos eg on youtube and deactivated desktop effects.

Just to let you know:
I just wanted to activate them again and couldn't. Something was preventing me from. I saw a running process named npviewer.bin on htop. Seems like it belongs to the flashplugin. I closed firefox und suddenly could activate desktop effects again.

Eric Donkersloot (ericd) wrote :

Flash works fine together with Opera on this laptop, maybe this bug is gtk related ?

ericd@vaiopro64:~$ opera -full-version
Opera 10.00 Internal. Build 4585 for Linux. Qt library 3.3.8b.
Compiled on Aug 30 2009 by gcc 4.3.2 (ABI: 1002) for GNU libc 2.7
using Qt 3.3.8b (x86_64 Linux g++-4.* full-config).

ii flashplugin-installer 10.0.32.18ubuntu1

Eric Donkersloot (ericd) wrote :

EDIT: In Opera clicking on a button works the first time, but fails on all other consecutive attempts !?

summary: - flash does not recognise mouse clicks
+ flash does not recognise mouse click
summary: - flash does not recognise mouse click
+ flash does not recognise mouse clicks
Changed in firefox:
status: Invalid → Confirmed

As previously stated; this bug IS NOT specific to Firefox. It's impact is wider. We have beaten to death the fact that this is not a browser specific issue.

We DO NOT need any "me too" posts. The issue has been verified and a lot of user information has been gathered. All these extra posts are making it extremely difficult to look through what is already present and decipher it.

Changed in firefox:
status: Confirmed → Invalid
description: updated
description: updated
Changed in chromium-browser:
importance: Unknown → Undecided
status: Unknown → New
status: New → Invalid
Changed in compiz:
importance: Unknown → Undecided
status: Unknown → New
status: New → Invalid
summary: - flash does not recognise mouse clicks
+ [READ DESCRIPTION] Flash is not recognizing mouse clicks in multiple
+ situations

@Tom - The GDK_NATIVE_WINDOWS=1 workaround worked with Konqueror and Opera. Epiphany didn't exhibit this problem in the first place.

I didn't have this issue in Karmic (32-bit) when I was using KDE4 and kwin without compositing, but I'm currently using KDE4 with awesome as the window manager and it did crop up then.

Stormx (stormx2006) wrote :

Same situation. Karmic, firefox 3.5, flash, 64bit, compiz.

Dinesh (linux-future) wrote :

I'd like to add that, installing the flashplugin from adobe's website does "resolve" the issue BUT it crashes the browser on some websites such as GMail, sony.com. So installing the 64bit plugin from adobe's website DOES NOT resolve the issue. Just thought I'd make it clear.

ubuntu karmic, amd64

video: ATI Mobility X1600, using the default "radeon" driver ver. 6.12.99

Sometimes it works for me on youtube.com and sometime not. However, I think that it does mean sth that it never works on http://vbox7.com/ (I think they are using older version of Flash).

Dinesh (linux-future) wrote :

I dont have the show desktop plugin enabled in compiz. That particular workaround doesn't work. I'm on an Intel video system x3100. Latest karmic kernel: 2.6.31-14-generic #48-Ubuntu SMP Fri Oct 16 14:05:01 UTC 2009 x86_64 GNU/Linux

Trampas (trampas) wrote :

I have seen the same problem using Eclipse with Sun's JVM. Thus I don't think it is limited to Flash.

x86_64

Edward (edward-coffey) wrote :

I've renamed my /usr/lib/nspluginwrapper/i386/linux/npviewer.bin to npviewer.bin.real, and created an executable script in place of npviewer.bin with the following contents:

#!/bin/sh
GDK_NATIVE_WINDOWS=true /usr/lib/nspluginwrapper/i386/linux/npviewer.bin.real $*

This completely fixes the clicking problem within Flash for me. So far I've had to implement a hack like this for Java, Mono and Flash. It hasn't presented that much of a problem, but to have three major platforms malfunctioning like this just looks bad. I really hope the GDK_NATIVE_WINDOWS work-around makes it into the Flash, Mono and Java packages soon - obviously the upstreams need to fix the bugs with the way they use GDK, but I wouldn't want to hold my breath waiting.

jimbo7 (jimbo7) wrote :

i am seeing the same issue in Debian with Iceweasel 3.0.14 and Shockwave Flash 10.0 r32

Evgeny Kuznetsov (nekr0z) wrote :

Edward seems to have finally pinned this bug, I have tested the workaround he suggested on a dozen machines and it fixed them all, regardless of compiz and architecture.

pablomme (pablomme) wrote :

Edward's fix works. This is what Tom Jaeger proposed in comment #122 above, except the environment variable is set to "true" instead of "1" and it's passed directly to npviewer.bin instead of to the browser.

Now we would need to see this go into either flashplugin-installer or, most likely, nspluginwrapper's npviewer scripts.

Travis Watkins (amaranth) wrote :

As several users have confirmed, there seems to be some problem between flash and gtk client side windows causing this problem. It may actually be a bug in the way flash uses GTK+.

Changed in gtk+2.0 (Ubuntu):
status: New → Confirmed

Thank you! Much an improvement to have flash clicks working every time!

I'm posting this for others:
Be sure to "sudo chmod 755 npviewer.bin" (less quotes) ... I guess I was a little slow, there, doh!

pdaniell (paul-daniell) wrote :

I'm on a 64-bit install of Flash

    File name: npwrapper.libflashplayer.so
    Shockwave Flash 10.0 r32

 and setting visual effects to None resolves this bug for me...

Steven F. (steven-frehner) wrote :

Edward's fix works like a charm!

Fix in #143

Johan (johan-andersson-78) wrote :

Edwards fix for Linux noobs (like me...)

1. Starta a Terminal window.
2. Type: cd /usr/lib/nspluginwrapper/i386/linux/
3. Type: sudo mv npviewer.bin npviewer.bin.real
4. Type: sudo pico npviewer.bin
5. Add these two lines of text to the file, i.e. Pico:
#!/bin/sh
GDK_NATIVE_WINDOWS=true /usr/lib/nspluginwrapper/i386/linux/npviewer.bin.real $*
6. Press "Ctrl+x" to exit and save.
7. Type: sudo chmod 755 npviewer.bin

Done! Now enjoy the full splendor of flash-clicking!

lenherr (thomas-lenherr) wrote :

FYI: Use this line instead, it should be safer because it handles spaces in arguments correctly:

GDK_NATIVE_WINDOWS=true /usr/lib/nspluginwrapper/i386/linux/npviewer.bin.real "$@"

And if you simply lack a nspluginwrapper directory and yet still have this problem? Should nswrapper be installed and then the fix applied?

David Barnett (mu-mind) wrote :

Everyone's talking about workarounds... (excessively!)

Will this be fixed in the repository any time soon?

John Dong (jdong) wrote :

Looks to me like the correct fix is to patch nspluginwrapper to set whatever GDK_NATIVE_WINDOWS=1 does.

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

The people that are working on fixing this have mostly given up
discussing the issue in here. Patience is required. There were a large
number of changes that contributed to this issue and it will be hard to
correct them. Flash isn't the only issue.

On Mon, 02 Nov 2009 18:29:46 -0000
David Barnett <email address hidden> wrote:

> Everyone's talking about workarounds... (excessively!)
>
> Will this be fixed in the repository any time soon?
>

- --
Michael Lustfield
Kalliki Software

Network and Systems Administrator
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkrvKqcACgkQ3y7Nst6YLGU9ywCfTNTidMLC7xw4qpG5OznHNPxj
RjEAmwYMZs1MfpYf+jWAT1dAXEvlzFL0
=s8aS
-----END PGP SIGNATURE-----

I apologize for the bug spam, but I've created a forum thread for further discussion of workarounds here: <http://ubuntu-ky.ubuntuforums.org/showthread.php?p=8228704>. Hopefully this will be in everyone's best interest.

Tarthen Brown (tarthen) wrote :

Here's something a little odd... I installed the Karmic RC afresh (32bit - my 64bit Beta was nothing but trouble for me) and dist-upgrade'd - and I haven't noticed the problem since.

Vallery Lancey (muscovy) wrote :

I fixed it by installing the 64 but plugin (I'm on Karmic, 64 bit). Adjusting compiz didn't help.

Matt Wolfgang (mattwolfgang) wrote :

I am experiencing this problem with Ajax as well.

freddy3980 (freddy3980) wrote :

I forgot where I found this workaround, it worked on Karmic 64bits:
Open terminal and enter:
gksudo gedit /usr/lib/nspluginwrapper/i386/linux/npviewer

then add: export GDK_NATIVE_WINDOWS=1 before the last line of text

Changed in flashplugin-nonfree (Ubuntu):
status: Confirmed → Fix Released
status: Fix Released → Confirmed
Laurent Dinclaux (dreadlox) wrote :

This work around works great: https://bugs.launchpad.net/ubuntu/+source/flashplugin-nonfree/+bug/410407/comments/163

I wish one day Flash will work on Ubuntu witch it is not the case since Edgy.... Crazy, isn't it?

I'm using the 64bit flash alpha plugin and Im having this isse since I installed Kubuntu 9.10. When I was using Kubuntu 9.04 with 64bit flash plugin this bug never occured to me. So this seems like a regression.

The workaround suggested by Freddy3980 works great for me. (Disabling the Show Desktop plugin hadnt worked, installing from adobe had solved this one bug but the quality of video playback was extremely poor; the only work around to the bug for me was to disable compiz, or at least the "Desktop wall" plugin, which was a pain in the neck anyway).

Sam Freilich (l33tminion) wrote :

I tried the procedure in #16, then when i ran into a wall of segfaults, reinstalled nspluginwrapper and reinstalled flashplugin-installer, and for some reason the problem seems to have gone away.

GDK_NATIVE_WINDOWS=1 seems to be the solution to a lot of problems that are new in Karmic. I'll try that workaround if the problem reemerges.

Andrew Senyshyn (asenyshyn) wrote :

In my case flash works ok in firefox, but does not recognize clicks in chromium and opera.

robs9 (robs9) on 2009-11-06
Changed in flashplugin-nonfree (Ubuntu):
status: Confirmed → Fix Released
status: Fix Released → Confirmed
carchaias (carchaias) wrote :

I was affected on Karmic AMD64 but #163 help me out.

Thanks to Edward (https://bugs.launchpad.net/ubuntu/+source/flashplugin-nonfree/+bug/410407/comments/143) and Johan (https://bugs.launchpad.net/ubuntu/+source/flashplugin-nonfree/+bug/410407/comments/153) now clicking works.

Michael @ Could you change the description of the bug to at least write something within "Comments #153, #XX seems to work best for users" so that future people don't have to search for them or a workaround #4 on your list.

description: updated
description: updated
pablomme (pablomme) wrote :

@Michael: cat "#!/bin/sh" >> npviewer.bin
You surely meant 'echo' there, not 'cat'.

@Travis: "The only workaround for Chrome/Chromium users is to disable compiz." -> this is wrong, chromium works fine once the npviewer workaround is in place.

I don't think disabling compiz, disabling a compiz plugin or reinstalling flash are actual workarounds. They might have temporarily triggered a different behaviour in some cases, but there are contradicting reports all over the comments regarding these. The proper workaround is to do the GDK_NATIVE_WINDOWS business.

I have this problem on a fresh karmic AMD64 installation. I've found several websites that ALWAYS fail for me:

http://www.publico.es/promociones/swf/?ct=promociones&cf=autopromos&cfid=sabado07112009

http://www.waspnation.com/

http://www.waspnation.com/waspnation.htm

I've solved the problem in firefox 3.5.4 with a sligth modification the script of Romeo-Adrian Cioaba: http://www.myscienceisbetter.info/install-native-64bit-flash-player-10-on-linux.html (I've added the flashpugin-installer to the purged packages and changed to libflashplayer-10.0.32.18.linux-x86_64.so.tar.gz version). Now firefox works fine.

However the problem still persists in Opera 10.01. Weird thing, because Opera uses the Firefox plugin: /usr/lib/mozilla/plugins/libflashplayer.so . I can't understend how libflashplayer-10.0.32.18.linux-x86_64.so.tar.gz fixed the problem in Firefox but can't fix it in Opera.

I hope this information can help.

Travis Watkins (amaranth) wrote :

@pablomme: On 64-bit Ubuntu if you install the 64-bit flash plugin there is no way to get flash working correctly with Chromium unless you are one of the ones who only has problems with compiz. Thus the comment.

pablomme (pablomme) wrote :

@Travis: installing the 64-bit plugin is in itself a(n attempted) workaround. Stating categorically that no workaround other than disabling compiz (which I'm yet to believe) works for chromium is incorrect; the 32-bit plugin as installed by flashplugin-installer works with the GDK_NATIVE_WINDOWS workaround.

I have a theory as to the cause. I'm experiencing this in Chromium with Compiz on, but I don't think it's the fault of either. When you hover over certain buttons/items in a flash box, they register as links with the OS, and the mouse changes to show that. For most cursors it changes to be a hand, on mine, the cursor just blinks, to each their own. However, when the cursor is in link mode over flash, and you click, the cursor is moved to the right by 1 pixel. I can verify that it's not just my mouse moving because it works on A) my trackball, and B) my touchpad, with my hands off the ball/pad respectively. Flash registers this click/move as a Drag, not a Click, and doesn't click the button. I can 99% guarantee this, because if I move my mouse to the left at JUST the right rate, the 1 pixel shift is counteracted, the click goes through as a click, and the button registers. This also explains the right-click trick, and very rapid click trick, as both of those register clicks before flash can shift the cursor. I'd like confirmation, from anyone with a low enough resolution monitor and a trackpad with separate buttons, to see the shift, and that it's only on links in flash.

I don't have a solution, other than get really good at clicking while dragging left at just the right speed.

I'd like to edit my previous comment, as an update of Chrome has just fixed this issue for me. The update came out quite literally since yesterday, the mouse no longer has the 1 pixel shift, and so buttons are 100% responsive, regardless of link status. I'd instead like to ask if the latest update fixes this for anyone else on chromium and compiz.

> an update of Chrome has just
> fixed this issue for me.
> [...]
>
> I'd instead like to ask if
> the latest update fixes this for anyone else on chromium and compiz.

Indeed, I am subscribed to the upstream bug reports, and chromium issue
#25288 was marked as "fixed" in SVN revision #31297 two days ago.

Today's daily PPA updates are chromium SVN revision 31403, so it's quite
possible this was fixed. So far, so good (according to my minimal
testing on Youtube).

chromium hackers might have hacked something. as this bug actually exist in flash plugin?

Hm. Nevermind, seems I'm still experiencing the problem, so today's
chromium PPA updates didn't really fix it for me.

Changed in flashplugin-nonfree (Ubuntu):
status: Confirmed → In Progress
Changed in flashplugin-nonfree (Ubuntu):
status: In Progress → Confirmed

Hi,

I just wanted to say that the bug still happens after the last update.

Plus WORKAROUND 2 made my firefox and Chrome go unstable. Chromium was saying that this particular flash was crashing, and Firefox would break without saying anything.

SEWilco (scot-wilcoxon) wrote :

My only problem with Ubuntu 9.10 Flash is that it's ignoring clicks to change preferences. Seems different from these problems.

However, there are problems with the list at the top of the page:

WORKAROUND 1: Disable compiz
* Don't know how to do that. "man compiz" gives no hints. Comments suggest System>Preferences>Appearance>Visual Effects=None. Oddly, none of the radio buttons were set (maybe due to upgrade to 9.10?). Set to None.. no change.
WORKAROUND 2: Remove flashplugin-nonfree / flashplugin-installer and install from adobe
* I'll consider that, but comments indicate that is experimental. Maybe that status should be mentioned.
WORKAROUND 3: Open a terminal and enter: gksudo gedit /usr/lib/nspluginwrapper/i386/linux/npviewer
* No such directory in Ubuntu 9.10.

SEWilco,

For workaround2, yes it is experimental. I have heard from a few people who have had problems with it, but it hasn't been known to crash hard-drives or anything major so it's certainly worth a try. I use the Adobe 64bit Flash 10beta on 3 different systems and have for months with no problems at all. I also find Flash 10 to load videos faster on Youtube and such but that could be just illusion.

-ss.

Taner Senyurt (turshu) wrote :

i have same issue but i think the problem neither flash-plugin nor compiz plugin's problem.I have same problem with eclipse i'm clicking buttons on the forms it doesn't work but it selects the button.When i press the enter form works with what i chose with mouse.(i already disabled compiz while testing)...And problem started after upgrade (9.04 to 9.10).

tloukes (tloukes) wrote :

I also have this problem since upgrading opensuse 11.1 to 11.2. No problems before then. SOME flash videos won't work in Firefox 3.5.5 (bbc iplayer, most youtube videos) when compiz is enabled. The holding-down-right-click workaround works for me. If I switch to Metacity or Kwin then all works okay. So it seems like it's a Compiz thing but dailymotion.com, for instance, works with no problems (Compiz enabled). Also no problems with flash videos with Opera (bbc iplayer and youtube work fine). So I only get this bug when Compiz is enabled and I'm viewing only certain sites in Firefox. Oh and I'm 32-bit not 64-bit. Have tried numerous combos of standalone flash player, plugins, gnash and swf codecs to no avail. Only the hold-right-click workaround seems to register the left-clicks of my mouse.

Really quick... I don't think anyone else posted this, which is why I thought I'd add to the mess. At any rate, here's what I got when running firefox from the terminal:

(npviewer.bin:4871): Gdk-WARNING **: XID collision, trouble ahead

Hope you get this solved.

This obviously isn't specific to Ubuntu or Firefox. There's a lot lot lot more to it. I looked over many work-arounds and I came to the conclusion that what I came up with wasn't a work-around but rather the best way to manually install these packages (java/flash).

It's off topic for here but perhaps this will help some of you. DO NOT post "this worked or didn't work for me" or I will remove the post and ban your IP from my server. This is informational ONLY. http://profarius.com/content/64bit-java-flash-deathroll

Have you tried the latest Chrome version ? Since I upgraded Chrome, I still
experienced the issue with the Flash configuration dialog but that's all.
All embedded players have been ok.

2009/11/19 Michael Lustfield <email address hidden>

> This obviously isn't specific to Ubuntu or Firefox. There's a lot lot
> lot more to it. I looked over many work-arounds and I came to the
> conclusion that what I came up with wasn't a work-around but rather the
> best way to manually install these packages (java/flash).
>
> It's off topic for here but perhaps this will help some of you. DO NOT
> post "this worked or didn't work for me" or I will remove the post and
> ban your IP from my server. This is informational ONLY.
> http://profarius.com/content/64bit-java-flash-deathroll
>
> --
> [READ DESCRIPTION] Flash is not recognizing mouse clicks in multiple
> situations
> https://bugs.launchpad.net/bugs/410407
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Hi,

I'm the Chrome developer responsible for plugins on Linux. This bug puzzled us for quite some time, but I *believe* we have fixed it. The answer was setting GDK_NATIVE_WINDOWS=1. (The reason it took me so long to figure out that this was the proper setting is that we would not pass the environment setting along when we started the plugin process, so just running "GDK_NATIVE_WINDOWS=1 google-chrome" didn't work; I had to modify the code.)

It's hard to know what Flash does without source, but the fact that this helps indicates that it likely mixes the GTK calls necessary to work with the GTK plugin API used by browsers along with direct X calls. That is what setting the env variable fixes, and that seems plausible to me given that Flash is probably trying to do fast X graphics.

The reason so many users have different experiences with this bug is due to two things:
1) the bug exhibits itself as a race, so (for example) it will only happen on certain YouTube videos, or depending on how slow your computer is. This is a wild guess, but perhaps compiz delays window creation making it worse.
2) user configurations are very different. If you're using nspluginwrapper it again makes things worse. It may be that nspluginwrapper itself also doesn't pass GDK_NATIVE_WINDOWS along to its plugin subprocess. M guess for the reason that "just reinstall Flash" has worked for users like in comment #186 is because by installing Flash directly you circumvent nspluginwrapper.

The reason this bit Chrome the hardest is because we *always* run plugins out of process, and for many users they also have nspluginwrapper, so we get plugins wrapped through two layers of indirection. I am fairly confident that if you use a new Chrome + no nspluginwrapper this bug is fixed; I expect you can modify Mozilla and nspluginwrapper to set this variable and fix it for them too.

Same problem in the wmii window manager. So it's not Compiz per se, but could be compositing in Xorg since I do have that enabled for times when I do log in with Gnome/Metacity or Emerald.

matbonucci (matbonucci) wrote :

this problem does not affect me anymore!, i just updated to the latest version of chrome

coldReactive (coldreactive) wrote :

@matbonucci: What if we don't like chrome? Or prefer Firefox, Midori, Galeon, Arora, etc?

Alex Mauer (hawke) wrote :

@coldReactive: Then you’re still affected by this bug.

Fabien Tassin (fta) on 2009-11-25
description: updated
Stephen Rasku (ubuntu-srasku) wrote :

I am using Chrome and the bug still affects me. I am running 64-bit Karmic. I am unable to click on the play button on the flash audio players on the following page:

   http://www.cbc.ca/thecurrent/

Im using chrome x86_64 from http://dl.google.com/linux/deb/ stable

Just removed the workaround to test the last version of hrome, and I can confirm that the bug stills there.

Travis Watkins (amaranth) wrote :

The fix is in the chromium daily builds, try using the PPA: https://edge.launchpad.net/~chromium-daily/+archive/ppa

summary: - [READ DESCRIPTION] Flash is not recognizing mouse clicks in multiple
- situations
+ Flash does not work correctly [READ DESCRIPTION]

Evan_martins workaround worked for me. I'm using opera 10.10. I've changed all my shortcuts from "opera" to "GDK_NATIVE_WINDOWS=1 opera" and now it seems to work. Hope it stays this way...

When you click 5-7 times over the same flash control button very swiftly (for example, the maximizing button), it DOES maximize and afterwards the full-screen controls are working almost properly.

However, that "workaround" is not constantly working... sometimes it does work and sometimes does not (tested in http://vbox7.com/)...

I've noticed that the flash controls functioning depends very much on the version of the Adobe flash being used in the very web-site.
For example, in http://vbox7.com/ (this is the Bulgarian variant of youtube) obviously the version, which is used in it, is an older one than the version of flash used in youtube.

I can also claim for sure that my flash controls are working well in youtube.com and NOT working in vbox7.com.

tags: added: regression-release
removed: regression-potential
NaterGator (nweibley) wrote :

Just reporting: this issue is still present with the newly released 64 bit Flash v 10.0.42.34. Of course the preposterous closed-source race-condition nature of this bug means I've got the same odd crap as everyone else: firefox is problem free no matter what, Chrome beta is problematic if using compiz (even with every plugin enabled) but fine with KWin 4.3.4 and effects enabled, etc.

In other words, whatever is causing this bug in flashplayer was obviously untouched in the new version. Hoping it's fixed in 10.1 whenever that gets released.

Thomas O. (thomas-tgohome) wrote :

I am affected by this bug.

However, there is another workaround, better than the right-click trick. If you move the mouse around a lot, then clicks are more likely to be registered. I don't know why, but they just are.

Serious (cs071007) wrote :

as far as opera is concerned I can say that it is related to if the plugin has focus or not. if the plugin doesn't have focus the click is getting through, if the plugin has focus they don't.

this results in a behaviour like this:
"first click works(1)" -> "subsequent clicks dont(2)" -> "click outside plugin(3)" -> repeat

My speculations about what happens:
(1): When you click on the plugin area the click gets registered by the browser which activates the plugin and forwards the click to it via the API.
(2): the clicks are directly handled by the plugin -> something bad is happening here
(3): when you click outside the plugin area you take away the focus from it and thus also rip it off the mouse/keyboard control -> subsequent clicks are again registered by the browser

As I said these are speculations as I don't have the slightest clue about how the plugin API really works, but it would explain the behavior that I see here.

tloukes (tloukes) wrote :

Update: Tried the latest flash release from adobe 10.0.42.34, still no joy like the chap above. However, I managed to get flash installed in Songbird (using somebody's tutorial by copying libflashplayer.so into my Songbird's plugins folder) and using that everything works fine. BBC iplayer all works, youtube etc. Songbird and Firefox are both Mozilla so the architecture should be the same, right? Will try some more experimenting with Firefox plugins folders...

tloukes (tloukes) wrote :

Further update: I've managed to get flash working fine in Firefox, here's what I did:
I'm using Opensuse 11.2, kde 4.3, compiz 0.8.4, firefox 3.5.5
Using YaST I deleted all flash packages. Downloaded the latest Flash from Adobe as a tar.gz, extracted the contents, then, using super-user mode in my file manager, copied the file "libflashplayer.so" into my usr/lib/browser-plugins folder. Restarted Firefox and all flash sites that I've tried so far have worked perfectly. Yast now says I've got no flash packages installed but i don't really care because it works :) The problem still persists in Opera, but I can still use the hold-right-click workaround and I only use Opera as a backup browser anyway. I don't know why/how this works, but it does for me. I suppose the full packages could be reinstalled later when the bug is fixed properly, but for now, this seems an acceptable workaround.

Serious (cs071007) wrote :

as for a workaround for opera: it basically works the same as with firefox (exporting GDK_NATIVE_WINDOWS=1). The file to do this is /usr/lib/opera/operapluginwrapper. I added it right before the "exec" (last line) and that seems to work. So, the end of the file looks like this now:

export GDK_NATIVE_WINDOWS=1;
exec "$wrapper" "$@"

I also tried to export this when executing opera through a script in ~/bin/opera, but that didn't work (I still use the script to add the "-systemstyle" property though for my qt4 build ;))

Please, when this bug is fixed, also provide a way to "revert" the user made workarounds.

For example, when fixing the bug, a pop-up window may say: "If you disabled compiz because of the flash bug, you can now safely re-enable it". Or, for workaround 3, the package installer may silently modify the nspluginwrapper configuration file to remove the export GDK_NATIVE_WINDOWS=1 line.

Configurations in general should be left along by updates; for all the
installer knows, the user may need GDK_NATIVE_WINDOWS=1 for something else,
and if the installer breaks it, it could be very difficult for the user to
track down. Furthermore, there could be many different workarounds/hacks all
used in various combinations; it would be very difficult to create a script
to properly handle all of these situations without introducing more bugs.
Instead, the user should be responsible for reversing any manual
modifications they have made.

-S

On Thu, Dec 17, 2009 at 6:06 AM, Alfredo Pironti <email address hidden> wrote:

> Please, when this bug is fixed, also provide a way to "revert" the user
> made workarounds.
>
> For example, when fixing the bug, a pop-up window may say: "If you
> disabled compiz because of the flash bug, you can now safely re-enable
> it". Or, for workaround 3, the package installer may silently modify the
> nspluginwrapper configuration file to remove the export
> GDK_NATIVE_WINDOWS=1 line.
>
> --
> Flash does not work correctly [READ DESCRIPTION]
> https://bugs.launchpad.net/bugs/410407
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
Scott Armitage, B.A.Sc., M.A.Sc. candidate
Space Flight Laboratory
University of Toronto Institute for Aerospace Studies
4925 Dufferin Street, Toronto, Ontario, Canada, M3H 5T6

I buy your point. Nevertheless, at least the users should be notified when the problem will be solved (not only by marking this bug as solved), so that they can revert their workarounds. Otherwise it is very likely that the fix will go unnoticed and many workarounds will remain in place unwillingly... possibly enabling new malfunctionings hard to debug later.

Benjamin Sick (benjamin-sick) wrote :

If nspluginwrapper is not used and the problem is not related to compiz this helps:

GDK_NATIVE_WINDOWS=TRUE firefox

For me everything worked with kde, awesome... but in fluxbox not. With the variable set it works now.

Incredibly, I appear to have something new to add:

On my system (Karmic 64-bit), the problem appears when I enable System -> Preferences -> Windows -> Select windows when the mouse moves over them.

One additional data point: when my mouses passes over certain areas, such as buttons, on a Flash movie, it turns into a hand pointer, to indicate that I can click there I suppose. When the clicks are working, the cursor stays a hand pointer while the mouse button is down. When "focus follows mouse" is on and they are not working, the cursor changes into an arrow pointer while the mouse button is down.

Changed in compiz:
status: Invalid → Incomplete
status: Incomplete → Invalid
Martin Jormedal (okfourme) wrote :

Installing 64bit Flash solved this problem for me and generally seems to have improved performace. Using Firefox on 9.10.

"Hold down the right button. Keep holding it down. Then left click somewhere on the page to get rid of the context menu. Now, still holding the right button, left click on flash buttons, etc. It should work."

Heh. Cheeky workaround, but it does the trick for now.

Adobe's new refresh didn't fix it for me.

Jim Parks (parks) wrote :

Howdy. I had the same issue on Ubuntu 9.10, 32-bit, Firefox 3.5.7 on both Blackbox and Fluxbox -- but not Gnome, and not with Chrome.

What solved it for me was tacking the following line on /etc/profile:

export GDK_NATIVE_WINDOWS=1

and logging out and back in again.

That fixes it across the board for all users. No idea what it may break, though.

JP

Download full text (3.4 KiB)

Hi,

Thank you for responding. What you just posted is greek to me. lol
I have been using Ubuntu Linux for about a year now and I absolutely love
it. I have no idea about all the techy terms. I still have a lot to learn.

One day I will get the nerve to experiment.

On Wed, Jan 20, 2010 at 6:25 PM, Jim Parks <email address hidden> wrote:

> Howdy. I had the same issue on Ubuntu 9.10, 32-bit, Firefox 3.5.7 on
> both Blackbox and Fluxbox -- but not Gnome, and not with Chrome.
>
> What solved it for me was tacking the following line on /etc/profile:
>
> export GDK_NATIVE_WINDOWS=1
>
> and logging out and back in again.
>
> That fixes it across the board for all users. No idea what it may
> break, though.
>
> JP
>
> --
> Flash does not work correctly [READ DESCRIPTION]
> https://bugs.launchpad.net/bugs/410407
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in Chromium Browser: Invalid
> Status in Compiz: Invalid
> Status in The Mozilla Firefox Browser: Invalid
> Status in “compiz” package in Ubuntu: Invalid
> Status in “flashplugin-nonfree” package in Ubuntu: Confirmed
> Status in “gtk+2.0” package in Ubuntu: Confirmed
> Status in “nspluginwrapper” package in Ubuntu: New
>
> Bug description:
> ===+++ _____________________ ! ALL USERS ! _____________________ +++===
> ===+++ READ THIS BEFORE MAKING A COMMENT OR MODIFICATION +++===
>
> IMPORTANT 1: Please see the WORKAROUND a few lines below.
>
> IMPORTANT 2: Please don't post any "me too message"; use the "Does this bug
> affect you?" feature you can find a bit above this bug description on
> launchpad.
>
> IMPORTANT 3: Do not post anything if you haven't read all comments to
> verify that your point hasn't been made. If you feel tempted to stop reading
> because there are too many messages, that is a strong indicator that you
> shouldn't add even more comments. Developers have a tough time to find
> anything if you post redundant stuff. So please abstain from doing that.
>
> =================================================
>
> So here the bug and workarounds.
>
> For example on youtube, whilst it recognises my mouse moving over various
> buttons, actual mouse clicks are not recognised. I can navigate using 'tab'
> but this is very painful. I can also right click. The problem doesn't occur
> with other flash players, e.g. swfdec-mozilla.
>
> WORKAROUND 1: Disable compiz
> WORKAROUND 2: Remove flashplugin-nonfree / flashplugin-installer and
> install from adobe
> WORKAROUND 3: Open a terminal and enter:
>
> gksudo gedit /usr/lib/nspluginwrapper/i386/linux/npviewer
>
> Then add: export GDK_NATIVE_WINDOWS=1 before the last line of text
>
> Note: Chrome & Chromium are now working fine without workaround
>
> These workaround's have been verified to work for some users. We don't need
> verification of whether or not they work for you.
>
> =================================================
>
> ProblemType: Bug
> Architecture: amd64
> Date: Fri Aug 7 19:22:11 2009
> DistroRelease: Ubuntu 9.10
> NonfreeKernelModules: nvidia
> Package: flashplugin-installer 10.0.22.87ubuntu2
> ProcEnviron:
> LANG=en_GB.UTF-8
> SHELL=/bin/bash
> ProcVersionS...

Read more...

Further to my own comment #212: If you want to automagically solve this for apps you run from the command line and not just apps run from menus, drop this line into /etc/bash.bashrc or your own ~/.bashrc as well:

export GDK_NATIVE_WINDOWS=1

WLB -- just do this from a terminal as an admin user (or the user you set up during the Ubuntu install):

sudo su -l
<probably have to enter your password then>
echo "export GDK_NATIVE_WINDOWS=1" >> /etc/profile
echo "export GDK_NATIVE_WINDOWS=1" >> /etc/bash.bashrc
exit

You should be good to go. Of course, its not a bug fix, its a workaround.

JP

omarly666 (omarly666) wrote :

Same probl here . Nice workaround at #211.
My own workaround:
When the mouse don't connect with the flash, I use the <tab> key to get to the right place - marked yellow - then I use the <enter-Key> to do the selection.

the old off/on trick with the browser also do the trick if the whole flash thing disappears.

Stay cool be nice

You only had issues with the 32bit edition?

On Thu, Jan 21, 2010 at 12:00 AM, omarly666 <email address hidden> wrote:

> Same probl here . Nice workaround at #211.
> My own workaround:
> When the mouse don't connect with the flash, I use the <tab> key to get to
> the right place - marked yellow - then I use the <enter-Key> to do the
> selection.
>
> the old off/on trick with the browser also do the trick if the whole
> flash thing disappears.
>
> Stay cool be nice
>
> --
> Flash does not work correctly [READ DESCRIPTION]
> https://bugs.launchpad.net/bugs/410407
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Micah Gersten (micahg) on 2010-01-27
summary: - Flash does not work correctly [READ DESCRIPTION]
+ Clicking on items in Flash player does nothing [READ DESCRIPTION]

Ubuntu karmic-updates

Changed in compiz (Ubuntu):
status: Invalid → Fix Released

I’m assuming Gerry C. made a mistake (there isn’t even a new compiz in karmic-updates at all), and restoring the Invalid status set by mtecknology.

Changed in compiz (Ubuntu):
status: Fix Released → Invalid
Changed in compiz (Debian):
importance: Undecided → Unknown
status: New → Unknown
affects: compiz (Debian) → flashplugin-nonfree (Debian)
Travis Watkins (amaranth) wrote :

Please stop adding targets for this bug. It is a bug in flash or gtk+.

Changed in opera-browser:
status: New → Invalid
Saivann Carignan (oxmosys) wrote :

Tarvis Watkins : I have a very important information in regards of this bug report, this seems to be a issue in ia32-libs. Here's how I come to this conclusion :

1. Install jaunty 64bit in virtualbox with 3D enabled (compiz) and install flashplugin-installer. (At this point, flash works correctly).
2. Change all occurence of "jaunty" to "karmic" in /etc/apt/sources.list and reload (apt-get update).
3. Install the last version of ia32-libs (will install karmic version over jaunty version that is already installed).
4. Open Firefox and try again on youtube.com (The bug appears for the first time).

I've managed to identify this package by upgrading jaunty step by step until I could reproduce the bug, and once that I identified ia32-libs as the potential source of the bug, I repeated the operations from a clean jaunty 64bit install and I only upgraded ia32-libs, and the bug appeared again right after the upgrade of ia32-libs to karmic version, without upgrading any other packages in jaunty.

Create work, thanks for taking the time to pin point the issue so this
annoying bug can finally be squashed.

2010/2/22 Saïvann Carignan <email address hidden>

> Tarvis Watkins : I have a very important information in regards of this
> bug report, this seems to be a issue in ia32-libs. Here's how I come to
> this conclusion :
>
> 1. Install jaunty 64bit in virtualbox with 3D enabled (compiz) and install
> flashplugin-installer. (At this point, flash works correctly).
> 2. Change all occurence of "jaunty" to "karmic" in /etc/apt/sources.list
> and reload (apt-get update).
> 3. Install the last version of ia32-libs (will install karmic version over
> jaunty version that is already installed).
> 4. Open Firefox and try again on youtube.com (The bug appears for the
> first time).
>
> I've managed to identify this package by upgrading jaunty step by step
> until I could reproduce the bug, and once that I identified ia32-libs as
> the potential source of the bug, I repeated the operations from a clean
> jaunty 64bit install and I only upgraded ia32-libs, and the bug appeared
> again right after the upgrade of ia32-libs to karmic version, without
> upgrading any other packages in jaunty.
>
> --
> Clicking on items in Flash player does nothing [READ DESCRIPTION]
> https://bugs.launchpad.net/bugs/410407
> You received this bug notification because you are a direct subscriber
> of the bug.
>

The reason upgrading ia32-libs exposed the problem is because the it contains the newer GTK+.

So the problem does or does not reside in ia32-libs? Is it a problem with
GTK+ or ia32-libs?

On Wed, Feb 24, 2010 at 12:42 AM, Travis Watkins <email address hidden>wrote:

> The reason upgrading ia32-libs exposed the problem is because the it
> contains the newer GTK+.
>
> --
> Clicking on items in Flash player does nothing [READ DESCRIPTION]
> https://bugs.launchpad.net/bugs/410407
> You received this bug notification because you are a direct subscriber
> of the bug.
>

"The reason upgrading ia32-libs exposed the problem is because the it contains the newer GTK+."

That means GTK+ is the problem (or flash interaction with GTK+).

pablomme (pablomme) wrote :

> Is it a problem with GTK+ or ia32-libs?

The big picture here is that GTK+ changed the way it does certain things, intentionally and as an improvement. What should happen then is that every piece of software that relies on GTK+ would be updated to cope with/take advantage of the new stuff. And so it has happened with all FOSS projects using GTK+. However, nobody but Adobe can change libflashplayer.so, and they haven't. That is THE problem, and THE solution lies with Adobe.

Now, for workarounds. The GTK+ change came with the ability to revert to the old behaviour via environment variables. A possible workaround would be to modify web browsers (and everything else that uses libflashplayer.so) to set up their environment so that the GTK+ calls made from within the Flash player stick to legacy behaviour. Chromium (if the reports above are correct) has done this, others haven't. Remember that this situation is supposed to be temporary - one would expect Adobe to *eventually* fix libflashplayer.so - so it might not be worth for browsers to go through this.

Another workaround is applicable to 64-bit systems, where a 32-bit libflashplayer.so is used (this is sub-optimal, and again nothing can be done because of Flash being proprietary). The interface between the 64-bit browser and the 32-bit plugin is nspluginwrapper. The 32-bit plugin then uses 32-bit libraries (including GTK+), which are gathered in this thing called ia32-libs. By modifying the nspluginwrapper scripts, one can directly modify the environment under which libflashplayer.so is run, without need to modify the browser itself.

To answer your question, there is no problem with GTK+, there is a problem with Flash not being updated to cope with updates to GTK+. And ia32-libs simply mirrors the current versions of common libraries, it's not to be blamed either.

Awesome, thanks for the clarification.

2010/3/2 Saïvann Carignan <email address hidden>

> "The reason upgrading ia32-libs exposed the problem is because the it
> contains the newer GTK+."
>
> That means GTK+ is the problem (or flash interaction with GTK+).
>
> --
> Clicking on items in Flash player does nothing [READ DESCRIPTION]
> https://bugs.launchpad.net/bugs/410407
> You received this bug notification because you are a direct subscriber
> of the bug.
>

bullium (wbradshaw) wrote :

Wow! That's what I call an explanation. I suppose I'll sit and wait on Adobe
like everyone else.

On Tue, Mar 2, 2010 at 3:44 PM, pablomme <email address hidden> wrote:

> > Is it a problem with GTK+ or ia32-libs?
>
> The big picture here is that GTK+ changed the way it does certain
> things, intentionally and as an improvement. What should happen then is
> that every piece of software that relies on GTK+ would be updated to
> cope with/take advantage of the new stuff. And so it has happened with
> all FOSS projects using GTK+. However, nobody but Adobe can change
> libflashplayer.so, and they haven't. That is THE problem, and THE
> solution lies with Adobe.
>
> Now, for workarounds. The GTK+ change came with the ability to revert to
> the old behaviour via environment variables. A possible workaround would
> be to modify web browsers (and everything else that uses
> libflashplayer.so) to set up their environment so that the GTK+ calls
> made from within the Flash player stick to legacy behaviour. Chromium
> (if the reports above are correct) has done this, others haven't.
> Remember that this situation is supposed to be temporary - one would
> expect Adobe to *eventually* fix libflashplayer.so - so it might not be
> worth for browsers to go through this.
>
> Another workaround is applicable to 64-bit systems, where a 32-bit
> libflashplayer.so is used (this is sub-optimal, and again nothing can be
> done because of Flash being proprietary). The interface between the
> 64-bit browser and the 32-bit plugin is nspluginwrapper. The 32-bit
> plugin then uses 32-bit libraries (including GTK+), which are gathered
> in this thing called ia32-libs. By modifying the nspluginwrapper
> scripts, one can directly modify the environment under which
> libflashplayer.so is run, without need to modify the browser itself.
>
> To answer your question, there is no problem with GTK+, there is a
> problem with Flash not being updated to cope with updates to GTK+. And
> ia32-libs simply mirrors the current versions of common libraries, it's
> not to be blamed either.
>
> --
> Clicking on items in Flash player does nothing [READ DESCRIPTION]
> https://bugs.launchpad.net/bugs/410407
> You received this bug notification because you are a direct subscriber
> of the bug.
>

@pablomme: you described the situation very well. However, I'm not sure we shouldn't blame Gtk as well, since usually it's not good to break an API so badly (except for a major version). This "Client Side Windows" feature is causing serious issues, on my system at least, in many applications (gnome-mplayer, totem, gnome-panel, evince, ...). Even the official pygst tutorial was "broken" as of some weeks ago...

janusz (sunmake) wrote :

this solved for me this problem:https://launchpad.net/~sevenmachines/+archive/flash
amd64/9.10

Jan Pitann (jan-pitann-urz) wrote :

The /usr/lib/nspluginwrapper/i386/linux/npviewer workaround doesn't work for me.
But launching firefox directly with the GDK switch works:
export GDK_NATIVE_WINDOWS=1 && firefox

BTW:
/usr/lib/nspluginwrapper/i386/linux/npviewer doesn't exist if you haven't installed the pack. 'nspluginwrapper'

I've seen this on every AMD64 install I have, in both Karmic and Lucid.

In all cases, removing the Ubuntu flashplugin-installer and nspluginwrapper packages, then manually installing the Adobe Labs 64-bit native Flash plugin solved the issue.

See http://labs.adobe.com/downloads/flashplayer10_64bit.html to grab it.

Once you've done this, clicks works normally in Flash. No more right click - left click - left click dance.

The Flash 10 beta should probably be SRU-ed out to amd64 Karmic users and packaged as default for amd64 Lucid.

I do not agree with Gabriel that the 64-bit version of the plug-in should be used by default
because if you watch very high quality video clip in full-screen the video is lagging behind the sound a little bit
and there are dropped video frames aslo on my HP NX9420 (Intel Core 2 Duo T7200, ATI Mobility X1600 (RV515)).

I have already filed a bug report at the Adobe Flash Player bug and issue management system.

@Miro Hadzhiev I have never experience lagging of any kind with the
64bit beta version of the Adobe Flash Player plugin and I've used it
since it came out. I used it on Lucid too.

Computer specs are average:

Core 2 Duo E6550
Kingston Value RAM 2x2GB
nVidia GeForce 7 with nVidia closed source driver
Compositing has been on and off. I do report some problems when
compositing is on, like having to do Alt+TAB after switching some
videos to full-screen because the video opens in a separate window of
nspluginwrapper.bin somewhere behind everything else. This may be
related to the focus stealing prevention feature of some window
managers (I use KWin) and the inability of nspluginwrapper to
interface properly with the window manager or the X server.

On Tue, Mar 16, 2010 at 11:59 AM, Miro Hadzhiev (Хаджиев)
<email address hidden> wrote:
> I do not agree with Gabriel that the 64-bit version of the plug-in should be used by default
> because if you watch very high quality video clip in full-screen the video is lagging behind the sound a little bit
> and there are dropped video frames aslo on my HP NX9420 (Intel Core 2 Duo T7200, ATI Mobility X1600 (RV515)).
>
> I have already filed a bug report at the Adobe Flash Player bug and
> issue management system.
>
> --
> Clicking on items in Flash player does nothing [READ DESCRIPTION]
> https://bugs.launchpad.net/bugs/410407
> You received this bug notification because you are a direct subscriber
> of the bug.
>

@Manole:

So it can be related to the open-source 'radeon' driver which is used by default on ATI "r5xx" chips.

However, I think that the 64-bit version of the Adobe Flash plug-in uses more resources and that's why I have the aforesaid issues.

Mathieu Marquer (slasher-fun) wrote :

Native 64 bits flash plugin is still in an alpha state according to Adobe, and it crashes a lot (for e.g. when I load Gmail, the flash stuff in Google Talk lead Firefox to crash) on my main computer, even with a whole fresh install (Ubuntu 9.10 or 10.04 up-to-date, nVidia proprietary drivers, GeForce 8600M GT). So I don't think that using the native 64 bits plugin would be a good thing for now.

We all know it's alpha, but I think it has worked better than expect
for some alpha software.
This can only mean one thing: Adobe should invest a little bit of
money into making at least a beta version of the flash player for
64bit Linux, which if going by the way the alpha version works, would
mean the beta would be pretty stable. I mean, at least for public
relation's sake. Releasing a good plugin for Linux would not bring
them more haters from the Linux user's world, but on the contrary.

Anyways. . . Now Adobe has a big list of issues that Linux user's have
had with their alpha plugin. I'm just reasoning; why not put it to
good use?

On Tue, Mar 16, 2010 at 9:21 PM, Mathieu Marquer
<email address hidden> wrote:
> Native 64 bits flash plugin is still in an alpha state according to
> Adobe, and it crashes a lot (for e.g. when I load Gmail, the flash stuff
> in Google Talk lead Firefox to crash) on my main computer, even with a
> whole fresh install (Ubuntu 9.10 or 10.04 up-to-date, nVidia proprietary
> drivers, GeForce 8600M GT). So I don't think that using the native 64
> bits plugin would be a good thing for now.
>
> --
> Clicking on items in Flash player does nothing [READ DESCRIPTION]
> https://bugs.launchpad.net/bugs/410407
> You received this bug notification because you are a direct subscriber
> of the bug.
>

jad (t12nslookup) wrote :

for what it's worth, until they get a 64bit AIR working the 64bit flash has
real trouble communicating with it and can cause the browser to crash if
they are both running.

Jon

On 17 March 2010 10:36, Paul-Sebastian Manole <email address hidden> wrote:

> We all know it's alpha, but I think it has worked better than expect
> for some alpha software.
> This can only mean one thing: Adobe should invest a little bit of
> money into making at least a beta version of the flash player for
> 64bit Linux, which if going by the way the alpha version works, would
> mean the beta would be pretty stable. I mean, at least for public
> relation's sake. Releasing a good plugin for Linux would not bring
> them more haters from the Linux user's world, but on the contrary.
>
> Anyways. . . Now Adobe has a big list of issues that Linux user's have
> had with their alpha plugin. I'm just reasoning; why not put it to
> good use?
>
>

For all you 32-bit users out there, the fix for 64bit systems works too! You just have to export a variable instead

I use this for a firefox startup script:

export GDK_NATIVE_WINDOWS=1
firefox &

Works just fine!!

Changed in flashplugin-nonfree (Debian):
status: Unknown → New
Jeremy Nickurak (nickurak) wrote :

Workaround #1 isn't acceptable (I need compositing for other apps).
Workaround #2 means whenever flash crashes, it crashes the entire browser, also not acceptable.
Workaround #3 didn't stop epiphany-browser from having this problem.

Is there another workaround I should be using to get epiphany to work with flash?

Tim Hockin (thockin-hockin) wrote :

None of the workarounds worked for me. x86_64 karmic

Mathieu Laurent (mla) wrote :

"workaround 3" works for me.

Ubuntu 10.04 :

Architecture: amd64
Source: flashplugin-nonfree
Version: 10.0.45.2ubuntu1

http://helpforlinux.blogspot.com/2009/11/i-cannot-click-on-flash-in-ubuntu.html

It seems that a recent update to Firefox has broken sound in flash for me. Has anyone else noticed this?

The /var/log/apt/term.log reads "Preparing to replace firefox 3.5.8+build1+nobinonly-0ubuntu0.9.10.1 (using .../firefox_3.5.9+nobinonly-0ubuntu0.9.10.1_all.deb) ..."

Flash player in Ubuntu 10.04 is running so bad...

Please make flash player to run smoothly in this version...

There's a new Release Candidate for Flash Player 10.1 for amd64 on Linux:
http://download.macromedia.com/pub/labs/flashplayer10/flashplayer10_1_rc_linux_040510.tar.gz

Untar to your ~/.mozilla/plugins/

Works fine for me. Also seems a lot faster.

On Sun, Apr 18, 2010 at 8:10 PM, George Silviu Enea
<email address hidden> wrote:
> Flash player in Ubuntu 10.04 is running so bad...
>
> Please make flash player to run smoothly in this version...
>
> --
> Clicking on items in Flash player does nothing [READ DESCRIPTION]
> https://bugs.launchpad.net/bugs/410407
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Sorry for my big mistake. Here's the good link:
http://labs.adobe.com/technologies/flashplayer10/64bit.html

On Sun, Apr 18, 2010 at 9:23 PM, Paul-Sebastian Manole
<email address hidden> wrote:
> There's a new Release Candidate for Flash Player 10.1 for amd64 on Linux:
> http://download.macromedia.com/pub/labs/flashplayer10/flashplayer10_1_rc_linux_040510.tar.gz
>
> Untar to your ~/.mozilla/plugins/
>
> Works fine for me. Also seems a lot faster.
>
> On Sun, Apr 18, 2010 at 8:10 PM, George Silviu Enea
> <email address hidden> wrote:
>> Flash player in Ubuntu 10.04 is running so bad...
>>
>> Please make flash player to run smoothly in this version...
>>
>> --
>> Clicking on items in Flash player does nothing [READ DESCRIPTION]
>> https://bugs.launchpad.net/bugs/410407
>> You received this bug notification because you are a direct subscriber
>> of the bug.
>>
>

Jeremy Nickurak (nickurak) wrote :

Unless I'm mistaken, that's still the february 11th 2010 release,
which is 10.0.45.2. It's still considered a pre-release "alpha
refresh" version.

10.1 is still 32-bit only.

FWIW, I've had good luck with mozilla-plugin-gnash lately. It does
real 32bit and 64 bit support, and is a lot more stable. It's still
slower than adobe's, but it's improved a lot in the past couple years.

On Sun, Apr 18, 2010 at 12:27, Paul-Sebastian Manole
<email address hidden> wrote:
> Sorry for my big mistake. Here's the good link:
> http://labs.adobe.com/technologies/flashplayer10/64bit.html
>
> On Sun, Apr 18, 2010 at 9:23 PM, Paul-Sebastian Manole
> <email address hidden> wrote:
>> There's a new Release Candidate for Flash Player 10.1 for amd64 on Linux:
>> http://download.macromedia.com/pub/labs/flashplayer10/flashplayer10_1_rc_linux_040510.tar.gz
>>
>> Untar to your ~/.mozilla/plugins/
>>
>> Works fine for me. Also seems a lot faster.
>>
>> On Sun, Apr 18, 2010 at 8:10 PM, George Silviu Enea
>> <email address hidden> wrote:
>>> Flash player in Ubuntu 10.04 is running so bad...
>>>
>>> Please make flash player to run smoothly in this version...
>>>
>>> --
>>> Clicking on items in Flash player does nothing [READ DESCRIPTION]
>>> https://bugs.launchpad.net/bugs/410407
>>> You received this bug notification because you are a direct subscriber
>>> of the bug.
>>>
>>
>
> --
> Clicking on items in Flash player does nothing [READ DESCRIPTION]
> https://bugs.launchpad.net/bugs/410407
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
Jeremy Nickurak -= Email/XMPP: <email address hidden> =-

> Flash player in Ubuntu 10.04 is running so bad...
>
> Please make flash player to run smoothly in this version...

It's not bad, it is AWFUL actually!

Miro Hadzhiev (Хаджиев) wrote:
>> Flash player in Ubuntu 10.04 is running so bad...
>>
>> Please make flash player to run smoothly in this version...
>
> It's not bad, it is AWFUL actually!
>

OK folks, let's stop using this bug as a forum. Thanks.

Johan (deberghes-johan) on 2010-04-24
Changed in ia32-libs (Ubuntu):
status: New → Confirmed

http://googlechromereleases.blogspot.com/2010/05/dev-channel-update.html
http://code.google.com/p/chromium/issues/detail?id=20654
Looks like this bug is fixed for Chromium Browser build 5.0.396.

Check fresh chromium-browser build from ppa:chromium-daily/ppa

Changed in chromium-browser:
importance: Undecided → Unknown
status: Invalid → Unknown
importance: Unknown → Undecided
status: Unknown → New
Changed in chromium-browser:
status: New → Fix Released

I am the Chromium developer who fixed this again.

Not that anyone cares anymore, but: the problem was that Flash breaks if GDK_NATIVE_WINDOWS isn't set.
The first fix was to set that in our plugin process before starting Flash.

However, GTK clears the environment variable after initializing. So with nspluginwrapper we would set the variable, initialize GTK, and then call into the plugin (nspluginwrapper), which would then spawn its helper process which then would run Flash without the variable set.

So as of today's release of Chrome we set the variable, initialize GTK, and then immediately set the variable again before calling into the plugin.

It seems Firefox may have this second bug as well.
http://defect.opensolaris.org/bz/show_bug.cgi?id=15232 If I remember tomorrow I will attempt to track down that bug in their bug tracker again.

Yes, fix works for me. I must add though: God! Please rid us of Flash! ;)

On Fri, May 7, 2010 at 9:35 AM, Evan Martin <email address hidden> wrote:
> I am the Chromium developer who fixed this again.
>
> Not that anyone cares anymore, but: the problem was that Flash breaks if GDK_NATIVE_WINDOWS isn't set.
> The first fix was to set that in our plugin process before starting Flash.
>
> However, GTK clears the environment variable after initializing.  So
> with nspluginwrapper we would set the variable, initialize GTK, and then
> call into the plugin (nspluginwrapper), which would then spawn its
> helper process which then would run Flash without the variable set.
>
> So as of today's release of Chrome we set the variable, initialize GTK,
> and then immediately set the variable again before calling into the
> plugin.
>
> It seems Firefox may have this second bug as well.
> http://defect.opensolaris.org/bz/show_bug.cgi?id=15232  If I remember tomorrow I will attempt to track down that bug in their bug tracker again.
>
> ** Bug watch added: defect.opensolaris.org/bz/ #15232
>   http://defect.opensolaris.org/bz/show_bug.cgi?id=15232
>
> --
> Clicking on items in Flash player does nothing [READ DESCRIPTION]
> https://bugs.launchpad.net/bugs/410407
> You received this bug notification because you are a direct subscriber
> of the bug.
>

Shouldn't this only depend on nspluginwrapper - isn't there a way to set
that GDK environment variable within the wrapper itself? Would be much
more maintainable than having to muck around with each individual browser.

sometimes I have a click on flash bottons and their does't respond, in kubuntu intrepid and firefox 3.6.3

Marcin Kowalczyk (qrczakmk) wrote :

It's not fixed for me in Chromium 5.0.375.29, i.e. I still need 'export GDK_NATIVE_WINDOWS=1' in /usr/lib/nspluginwrapper/i386/linux/npviewer.

pablomme (pablomme) wrote :

@Marcin: the development version of Chromium is currently at 6.0.400.0. This was fixed at one of the 5.0.39x dev releases. Try the chromium-daily PPA if you want this fixed.

riltondigger (riltondigger) wrote :

I upgrade my Chrome to 5.0.375.38 beta and works fine to me!
I am using ubuntu 10.04 amd64, but firefox still have problem , but if i disable the compiz effects , the flash plugin works too.

coldReactive (coldreactive) wrote :

I used Ubuntu 10.04 near when it came out on my ASUS Laptop with Radeon Mobility HD 5870, and disabling compiz did NOT help for firefox, nothing could be clicked, etc. Didn't try to put on GDK Native Window hack, so yeah... might have fixed my issue.

Yixing Jia closed the upstream Adobe bug <http://bugs.adobe.com/jira/browse/FP-2933> with the following comment:

“Please update to the latest Flash player build”

Since this issue is not fixed in either the latest stable version or the latest release candidate, I reopened the upstream bug as <http://bugs.adobe.com/jira/browse/FP-4597>.

Changed in epiphany-browser (Ubuntu):
status: New → Invalid

As #31 says, this is fixed in 1.3.0.
Fedora got this update more than a year ago! http://koji.fedoraproject.org/koji/buildinfo?buildID=144633

Joe: No, this is not fixed in 1.3.0. The reason that it works in Fedora is that they enabled the GDK_NATIVE_WINDOWS workaround in Fedora release nspluginwrapper-1.3.0-10.fc12.

wensveen (wensveen) wrote :

Couldn't we 'fix' this bug by implementing the nspluginwrapper / GDK_NATIVE_WINDOWS workaround, and then open another bug to track the real issue. That would help most people in that they get a properly working flash plugin.

BTW, the upstream bug report by Anders has a priority of "None". How they can fail to see this issue eludes me. Also, it seems he didn't test on youtube or the link you provided, and I have noticed that some flash video players don't exhibit this problem, and the problem is not consistent even then (see my comment #61).

wensveen (wensveen) wrote :

Is it an idea to vote for the upstream bug (http://bugs.adobe.com/jira/browse/FP-4597) to be fixed? I should think 400 votes would draw some attention.

Perfect idea!

I've just voted.

I may be misreading the bug report, but it seems to fail to mention that the bug only affects the 64-bit build. That might be the crucial bit of information they need.

I’m guessing that what would help upstream most is a reliable, deterministic, verified recipe for reproducing the problem starting from a controlled known environment, such as a specific version of the Ubuntu live CD

wensveen (wensveen) wrote :

Yes, that's true of course. If they are interested, someone (for instance, me) could cook up a vmware or some other virtual machine, where this bug is easily reproducible. But I don't think there's anything wrong with voting for this bug on their bug tracker.

Go for it wensveen! I voted for the bug on their tracker, though I don't expect them to give us any attention until they finish the more important task of convincing Apple to allow Flash on additional platforms.

Adobe is on 6-12+ month release cycles for fixes like these. I wouldn't be surprised if this bug was fixed a year ago and is in the next major release of flash.

I also wouldn't be surprised if 10 other bugs have been added in the next release. :(

Brian Rogers (brian-rogers) wrote :

Doesn't this only happen on 64-bit Firefox with the 32-bit plugin using nsplugwrapper? I suspect that's a scenario they don't test.

Hendrik Knackstedt (hennekn) wrote :

I think this was solved by the update of flashplugin-installer to version 10.1.53.64ubuntu10.04.1 released yesterday. At least it looks like the update fixed the issue on my system (Lucid). But I think Youtube also made some changes to their website so the problem could still exist somewhere else. Can anyone confirm this?

I'm in Maverick with version 10.1.53.64ubuntu1 and I still see issues
in youtube videos (without the workaround).

I agree with Hendrik, the latest flashplugin-installer update seems to have fixed this. i have - up to now - no more issues with flash on both youtube and facebook.

I just tried, and it is NOT fixed for other flash applets like videos on
megavideo or several games.

Jeremy Nickurak (nickurak) wrote :

Likewise, still present with 10.1.53.64ubuntu0.10.04.1 from lucid-updates.

On Mon, Jun 14, 2010 at 04:39, 3ntix <email address hidden> wrote:
> Neither me! The bug is still present.
>
> --
> Clicking on items in Flash player does nothing [READ DESCRIPTION]
> https://bugs.launchpad.net/bugs/410407
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
Jeremy Nickurak -= Email/XMPP: <email address hidden> =-

Jeremy Nickurak (nickurak) wrote :

I also have the same issue after upgrading to nspluginwrapper 1.3.0 from debian.

On Mon, Jun 14, 2010 at 08:40, Jeremy Nickurak <email address hidden> wrote:
> Likewise, still present with 10.1.53.64ubuntu0.10.04.1 from lucid-updates.
>
> On Mon, Jun 14, 2010 at 04:39, 3ntix <email address hidden> wrote:
>> Neither me! The bug is still present.
>>
>> --
>> Clicking on items in Flash player does nothing [READ DESCRIPTION]
>> https://bugs.launchpad.net/bugs/410407
>> You received this bug notification because you are a direct subscriber
>> of the bug.
>>
>
>
>
> --
> Jeremy Nickurak -= Email/XMPP: <email address hidden> =-
>

--
Jeremy Nickurak -= Email/XMPP: <email address hidden> =-

I also need to correct my last comment. Maybe the videos I tried were just some that worked before anyway because I had some videos where the issue came up again.

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Guys, it's still broken. Just because it happens to work once means
nothing with this bug--it doesn't always appear. So please stop spamming
everyone with comments. Thanks.

On 06/14/2010 11:04 AM, Hendrik Knackstedt wrote:
> I also need to correct my last comment. Maybe the videos I tried were
> just some that worked before anyway because I had some videos where the
> issue came up again.
>
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iEYEARECAAYFAkwWdJkACgkQeYx99l54Ymq8jwCeLg0SG9Da+7zYZZBFvuGuBsPP
vAAAn1EGGyAwKSE0K8y5dFnyqNPXo2eR
=skou
-----END PGP SIGNATURE-----

Looks like nspluginwrapper-1.3.0 fixed the issue on Fedora though (https://bugzilla.redhat.com/show_bug.cgi?id=542424). Can we port this patch to Ubuntu?

Can I suggest that, in order to cut down spam on this bug, somebody formulates a list of, say, 20 known failure cases (with links to the appropriate video/game/advert/whatever) and this is used to confirm the validity of a fix on any given platform.

Hopefully this can help prevent some of the "It's fixed!", followed shortly by "..oh, hold on a minute, no it's not".

By the way, manual work-around 3 works fine for me on AMD64 Ubuntu 10.04.

Hendrik Knackstedt (hennekn) wrote :

I'm sorry if I was a little bit too fast submitting my comment before I really made sure it worked. I'm also just trying to help to solve this problem.

So, here are 3 links where the issue comes up on my computer:
http://www.fanconnection.de/
http://www.youtube.com/watch?v=5S8Kop9PPo8&playnext_from=TL&videos=BJ0IC4BWBPo&feature=grec_index
http://www.youtube.com/watch?v=M3ygZrJczM8&feature=popular

I don't think this will prevent all spam, because it might still work for some people, but lets give it a try.

Work-around 3 worked for me too on a AMD64 Ubuntu 10.04 and this is applied in the Fedora-patch I mentioned in my last comment. So I think the easiest workaround (well, I guess it's actually not a patch) for now is to just port the Fedora nspluginwrapper to Ubuntu until there is a "real" patch.

Nicolò Chieffo (yelo3) wrote :

I downloaded the 1.3.0-1 from debian (I know, it's not fedora) and it PARTIALLY fixed the problem.
There are still some sites which embed flash videos which still needs the workaround!

Tom Gelinas (tomgelinas) on 2010-06-28
summary: - Clicking on items in Flash player does nothing [READ DESCRIPTION]
+ Adobe Flash Player does not respond to clicks [READ DESCRIPTION]
tags: added: 64bit adobe click clicks compiz firefox flash flashplugin-installer nspluginviewer nspluginwrapper player
removed: apport-bug
summary: - Adobe Flash Player does not respond to clicks [READ DESCRIPTION]
+ Adobe Flash Player does not respond to mouse clicks [READ DESCRIPTION]
Tom Gelinas (tomgelinas) on 2010-06-28
tags: added: mouse plugin
removed: player

Opened a bug for GDK_NATIVE_WINDOWS at http://bugs.adobe.com/jira/browse/FP-4950
That bug should be added to Remote bug watches if launchpad supports watching JIRA issues.

Tom Gelinas (tomgelinas) on 2010-07-07
affects: compiz (Ubuntu) → adobe-flashplugin (Ubuntu)
Changed in adobe-flashplugin (Ubuntu):
status: Invalid → New
Changed in firefox:
status: Invalid → Confirmed
Micah Gersten (micahg) on 2010-07-08
Changed in firefox:
status: Confirmed → Invalid
Richard Hansen (a7x) wrote :

I have created a PPA containing a modified nspluginwrapper to work around this bug:
<https://edge.launchpad.net/~a7x/+archive/flashfix>

You can see the debdiff at:
<http://launchpadlibrarian.net/51553705/nspluginwrapper_1.2.2-0ubuntu6_1.2.2-0ubuntu6%2Bflashfix0.diff.gz>

The modified npviewer will only set GDK_NATIVE_WINDOWS=1 when it's loading Flash (from flashplugin-installer) so it won't interfere with other plugins.

joe robinson (joerobinson) wrote :

I don't know if anyone has noticed but disabling compiz fixes two bugs it fixes this one and when ubuntu goes into power saver if you have firefox open you cannot type in the browser it also fixes this problem. I know there is a bug report for that problem as well so you may want to link the two. Oh and btw if you have the firefox problem i just mentioned minimizing the window then bringing it back works as well.

JoseLuisTriana (theunfor) wrote :

This only happens with firefox, using chromium I do not have that issue; in firefox i just got rid of the flashplayer-nonfree and Installed a Native Flash plugin for 64 bit systems with an script on this website (in spanish) http://ubuntuperonista.blogspot.com/2010/04/instalar-adobe-flash-1001-rc-en-ubuntu.html then almost every flash buttons are working. all this with compiz enabled, with Ubuntu Lucid 64 bit. the button search in Youtube does not work when playing a video.

  The 64 bit flash player is no longer produced and contains security
vulnerabilities. Its use is not advised.

On 08/13/2010 12:32 AM, SicoBulo wrote:
> This only happens with firefox, using chromium I do not have that issue;
> in firefox i just got rid of the flashplayer-nonfree and Installed a
> Native Flash plugin for 64 bit systems with an script on this website
> (in spanish) http://ubuntuperonista.blogspot.com/2010/04/instalar-adobe-
> flash-1001-rc-en-ubuntu.html then almost every flash buttons are
> working. all this with compiz enabled, with Ubuntu Lucid 64 bit. the
> button search in Youtube does not work when playing a video.
>

The hulu videos are shaky and the voice is skipping. What could it be.

Changed in chromium-browser:
assignee: nobody → arthur l. dear (deararthur54)
status: Fix Released → New
Chris Coulson (chrisccoulson) wrote :

Does the GDK_NATIVE_WINDOW workaround cause any other issues for people?

TBH, the flash experience for amd64 users right now is so awful I think we should just upload this workaround anyway - it's not likely to make the situation any worse than it already is

Chris: I've been using the workaround for some time with a few users/machines, and I'm not aware of other issues it would introduce. Anyway, as you said, Flash is so buggy without it that it could hardly be worse.

Rocko (rockorequin) wrote :

The GDK_NATIVE_WINDOW workaround works fine for me, too. I haven't noticed any other issues since I enabled it. apport reports that npviewer.bin crashes sometimes in Maverick (no surprise there; I doubt it's related to the workaround) and firefox just reloads it.

Stefan Hammer (j-4) wrote :

Hi!

I am using the export GDK_NATIVE_WINDOWS=1 workaround since one year now on all of my machines. I haven't noticed any troubles with it. I just can't scroll with the mouse over the flash object, but this is much better than not be able to click anything!
I am also for uploading the workaround! Thanks for this great suggestion.

Changed in nspluginwrapper (Ubuntu):
status: New → Fix Released
Changed in nspluginwrapper (Ubuntu Lucid):
importance: Undecided → Medium
status: New → Triaged
Changed in ia32-libs (Ubuntu Lucid):
status: New → Won't Fix
Changed in gtk+2.0 (Ubuntu Lucid):
status: New → Won't Fix
Changed in flashplugin-nonfree (Ubuntu Lucid):
status: New → Won't Fix
Changed in epiphany-browser (Ubuntu Lucid):
status: New → Invalid
Changed in adobe-flashplugin (Ubuntu Lucid):
status: New → Won't Fix
Chris Coulson (chrisccoulson) wrote :

This is fixed in Maverick now. I've also uploaded this to karmic-proposed and lucid-proposed

Is it fixed? I've just uploaded all the updates in lucid-proposed and it's still not fixed for me.

 It hasn't been accepted yet. There will be a comment from the SRU team
when the bug is accepted so you can test.

On 09/21/2010 12:45 PM, Christopher Neville-Smith wrote:
> Is it fixed? I've just uploaded all the updates in lucid-proposed and
> it's still not fixed for me.
>

Changed in flashplugin-nonfree (Ubuntu):
status: Confirmed → Fix Released

flash player 'square' frome here http://labs.adobe.com/downloads/flashplayer10.html works for me: ubuntu 10.04.1,kernel 2.6.32-25,firefox 3.6.10.
unpack 'libflashplayer.so' onto:/home/'name'/.mozilla/plugins - the last one folder have to be created.

nspluginwrapper 1.2.2-0ubuntu6.10.04.1 in lucid-proposed is available for testing. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed.
Thank you in advance!

Changed in nspluginwrapper (Ubuntu Lucid):
status: Triaged → Fix Committed
tags: added: verification-needed

lucid-proposed works for me. Hooray! (Sorry, can't easily test maverick, that partition of mine was a 32-bit install.)

I'm so happy, I shall test my new clicking ability and play "Name That Beard",

   Seems to work for me. Thanks.

Em 05-10-2010 10:03, Jean-Baptiste Lallement escreveu:
> nspluginwrapper 1.2.2-0ubuntu6.10.04.1 in lucid-proposed is available for testing. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed.
> Thank you in advance!
>
> ** Changed in: nspluginwrapper (Ubuntu Lucid)
> Status: Triaged => Fix Committed
>
> ** Tags added: verification-needed
>
>

Thank you for testing, marking as verification-done

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nspluginwrapper - 1.2.2-0ubuntu6.10.04.1

---------------
nspluginwrapper (1.2.2-0ubuntu6.10.04.1) lucid-proposed; urgency=low

  * Fix LP: #410407 - Adobe Flash Player does not respond to mouse clicks -
    work around a bug in the Adobe Flash Player plugin by disabling
    client-side windows. Based on a patch by a7x
    - add debian/patches/006_flash_csw_workaround.diff
    - update debian/patches/series
 -- Chris Coulson <email address hidden> Thu, 09 Sep 2010 13:11:20 +0100

Changed in nspluginwrapper (Ubuntu Lucid):
status: Fix Committed → Fix Released
milehunter (blow-focus) wrote :

have the same problem

Changed in adobe-flashplugin (Ubuntu):
assignee: nobody → milehunter (blow-focus)

Please don't assign yourself bugs unless you are currently working on them. You can click on "This bug affects me too" at the top of the page if you want to be counted.

Changed in adobe-flashplugin (Ubuntu):
assignee: milehunter (blow-focus) → nobody
Changed in chromium-browser:
assignee: arthur l. dear (deararthur54) → nobody
Jonathan Riddell (jr) wrote :

Still in karmic-proposed unapproved queue, awaiting approval from ubuntu-sru

Download full text (3.6 KiB)

The latest flashplayer from labs.adobe.com seems to work perfectly. No
lags with Youtube videos when hovering the mouse to show the player
position bar in fullscreen.

On Tue, Nov 9, 2010 at 4:17 PM, Jonathan Riddell <email address hidden> wrote:
> Still in karmic-proposed unapproved queue, awaiting approval from
> ubuntu-sru
>
> --
> Adobe Flash Player does not respond to mouse clicks [READ DESCRIPTION]
> https://bugs.launchpad.net/bugs/410407
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in Chromium Browser: New
> Status in Compiz: Invalid
> Status in The Mozilla Firefox Browser: Invalid
> Status in Opera Browser: Invalid
> Status in “adobe-flashplugin” package in Ubuntu: New
> Status in “epiphany-browser” package in Ubuntu: Invalid
> Status in “flashplugin-nonfree” package in Ubuntu: Fix Released
> Status in “gtk+2.0” package in Ubuntu: Confirmed
> Status in “ia32-libs” package in Ubuntu: Confirmed
> Status in “nspluginwrapper” package in Ubuntu: Fix Released
> Status in “adobe-flashplugin” source package in Lucid: Won't Fix
> Status in “epiphany-browser” source package in Lucid: Invalid
> Status in “flashplugin-nonfree” source package in Lucid: Won't Fix
> Status in “gtk+2.0” source package in Lucid: Won't Fix
> Status in “ia32-libs” source package in Lucid: Won't Fix
> Status in “nspluginwrapper” source package in Lucid: Fix Released
> Status in “flashplugin-nonfree” package in Debian: New
> Status in “nspluginwrapper” package in Fedora: Unknown
>
> Bug description:
> ===+++ _____________________ !  ALL USERS  !  _____________________ +++===
> ===+++ READ THIS BEFORE MAKING A COMMENT OR MODIFICATION +++===
>
> IMPORTANT 1: Please see the WORKAROUND a few lines below.
>
> IMPORTANT 2: Please don't post any "me too message"; use the "Does this bug affect you?" feature you can find a bit above this bug description on launchpad.
>
> IMPORTANT 3: Do not post anything if you haven't read all comments to verify that your point hasn't been made. If you feel tempted to stop reading because there are too many messages, that is a strong indicator that you shouldn't add even more comments. Developers have a tough time to find anything if you post redundant stuff. So please abstain from doing that.
>
> =================================================
>
> So here the bug and workarounds.
>
> For example on youtube, whilst it recognises my mouse moving over various buttons, actual mouse clicks are not recognised. I can navigate using 'tab' but this is very painful. I can also right click. The problem doesn't occur with other flash players, e.g. swfdec-mozilla.
>
> WORKAROUND 1: Disable compiz
> WORKAROUND 2: Remove flashplugin-nonfree / flashplugin-installer and install from adobe
> WORKAROUND 3: Open a terminal and enter:
>
> gksudo gedit /usr/lib/nspluginwrapper/i386/linux/npviewer
>
> Then add: export GDK_NATIVE_WINDOWS=1 before the last line of text
>
> Note: Chrome & Chromium are now working fine without workaround
>
> These workaround's have been verified to work for some users. We don't need verification of whether or not they work for you.
>
> =================================================
...

Read more...

> The latest flashplayer from labs.adobe.com
Have a strange bug - impossible back from fullscreen mode in some flash-based video player.

Download full text (3.6 KiB)

On Wed, Nov 10, 2010 at 9:29 AM, RussianNeuroMancer
<email address hidden> wrote:
>> The latest flashplayer from labs.adobe.com
> Have a strange bug - impossible back from fullscreen mode in some flash-based video player.
>

I haven't noticed any problem like that. I found out pressing Esc in
almost every if not every player, it works, it exits fullscreen.

> --
> Adobe Flash Player does not respond to mouse clicks [READ DESCRIPTION]
> https://bugs.launchpad.net/bugs/410407
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in Chromium Browser: New
> Status in Compiz: Invalid
> Status in The Mozilla Firefox Browser: Invalid
> Status in Opera Browser: Invalid
> Status in “adobe-flashplugin” package in Ubuntu: New
> Status in “epiphany-browser” package in Ubuntu: Invalid
> Status in “flashplugin-nonfree” package in Ubuntu: Fix Released
> Status in “gtk+2.0” package in Ubuntu: Confirmed
> Status in “ia32-libs” package in Ubuntu: Confirmed
> Status in “nspluginwrapper” package in Ubuntu: Fix Released
> Status in “adobe-flashplugin” source package in Lucid: Won't Fix
> Status in “epiphany-browser” source package in Lucid: Invalid
> Status in “flashplugin-nonfree” source package in Lucid: Won't Fix
> Status in “gtk+2.0” source package in Lucid: Won't Fix
> Status in “ia32-libs” source package in Lucid: Won't Fix
> Status in “nspluginwrapper” source package in Lucid: Fix Released
> Status in “flashplugin-nonfree” package in Debian: New
> Status in “nspluginwrapper” package in Fedora: Unknown
>
> Bug description:
> ===+++ _____________________ !  ALL USERS  !  _____________________ +++===
> ===+++ READ THIS BEFORE MAKING A COMMENT OR MODIFICATION +++===
>
> IMPORTANT 1: Please see the WORKAROUND a few lines below.
>
> IMPORTANT 2: Please don't post any "me too message"; use the "Does this bug affect you?" feature you can find a bit above this bug description on launchpad.
>
> IMPORTANT 3: Do not post anything if you haven't read all comments to verify that your point hasn't been made. If you feel tempted to stop reading because there are too many messages, that is a strong indicator that you shouldn't add even more comments. Developers have a tough time to find anything if you post redundant stuff. So please abstain from doing that.
>
> =================================================
>
> So here the bug and workarounds.
>
> For example on youtube, whilst it recognises my mouse moving over various buttons, actual mouse clicks are not recognised. I can navigate using 'tab' but this is very painful. I can also right click. The problem doesn't occur with other flash players, e.g. swfdec-mozilla.
>
> WORKAROUND 1: Disable compiz
> WORKAROUND 2: Remove flashplugin-nonfree / flashplugin-installer and install from adobe
> WORKAROUND 3: Open a terminal and enter:
>
> gksudo gedit /usr/lib/nspluginwrapper/i386/linux/npviewer
>
> Then add: export GDK_NATIVE_WINDOWS=1 before the last line of text
>
> Note: Chrome & Chromium are now working fine without workaround
>
> These workaround's have been verified to work for some users. We don't need verification of whether or not they work for you.
>
> ==============...

Read more...

> I found out pressing Esc in almost every if not every player, it works, it exits fullscreen.
No, it's not help is this cases.

@RussianNeuroMancer:
Could please you open another bug regarding comment 307?

This one is long enough and new/unrelated problems should be
discussed in separate bugs since they might have different solutions.

> Could please you open another bug
Why? Adobe Flash 10.2 not a part of Ubuntu and Canonical software yet.
I just answer to Paul-Sebastian Manole commentary: the latest flashplayer from labs.adobe.com is not work perfectly.

John O (jplo) wrote :

This bug appears to affect Microsoft Windows XP and 7 aswell. Have Adobe been told about this?

Download full text (3.5 KiB)

Are you sure?

2010/11/13 John Oliver <email address hidden>

> This bug appears to affect Microsoft Windows XP and 7 aswell. Have Adobe
> been told about this?
>
> --
> Adobe Flash Player does not respond to mouse clicks [READ DESCRIPTION]
> https://bugs.launchpad.net/bugs/410407
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in Chromium Browser: New
> Status in Compiz: Invalid
> Status in The Mozilla Firefox Browser: Invalid
> Status in Opera Browser: Invalid
> Status in “adobe-flashplugin” package in Ubuntu: New
> Status in “epiphany-browser” package in Ubuntu: Invalid
> Status in “flashplugin-nonfree” package in Ubuntu: Fix Released
> Status in “gtk+2.0” package in Ubuntu: Confirmed
> Status in “ia32-libs” package in Ubuntu: Confirmed
> Status in “nspluginwrapper” package in Ubuntu: Fix Released
> Status in “adobe-flashplugin” source package in Lucid: Won't Fix
> Status in “epiphany-browser” source package in Lucid: Invalid
> Status in “flashplugin-nonfree” source package in Lucid: Won't Fix
> Status in “gtk+2.0” source package in Lucid: Won't Fix
> Status in “ia32-libs” source package in Lucid: Won't Fix
> Status in “nspluginwrapper” source package in Lucid: Fix Released
> Status in “flashplugin-nonfree” package in Debian: New
> Status in “nspluginwrapper” package in Fedora: Unknown
>
> Bug description:
> ===+++ _____________________ ! ALL USERS ! _____________________ +++===
> ===+++ READ THIS BEFORE MAKING A COMMENT OR MODIFICATION +++===
>
> IMPORTANT 1: Please see the WORKAROUND a few lines below.
>
> IMPORTANT 2: Please don't post any "me too message"; use the "Does this bug
> affect you?" feature you can find a bit above this bug description on
> launchpad.
>
> IMPORTANT 3: Do not post anything if you haven't read all comments to
> verify that your point hasn't been made. If you feel tempted to stop reading
> because there are too many messages, that is a strong indicator that you
> shouldn't add even more comments. Developers have a tough time to find
> anything if you post redundant stuff. So please abstain from doing that.
>
> =================================================
>
> So here the bug and workarounds.
>
> For example on youtube, whilst it recognises my mouse moving over various
> buttons, actual mouse clicks are not recognised. I can navigate using 'tab'
> but this is very painful. I can also right click. The problem doesn't occur
> with other flash players, e.g. swfdec-mozilla.
>
> WORKAROUND 1: Disable compiz
> WORKAROUND 2: Remove flashplugin-nonfree / flashplugin-installer and
> install from adobe
> WORKAROUND 3: Open a terminal and enter:
>
> gksudo gedit /usr/lib/nspluginwrapper/i386/linux/npviewer
>
> Then add: export GDK_NATIVE_WINDOWS=1 before the last line of text
>
> Note: Chrome & Chromium are now working fine without workaround
>
> These workaround's have been verified to work for some users. We don't need
> verification of whether or not they work for you.
>
> =================================================
>
> ProblemType: Bug
> Architecture: amd64
> Date: Fri Aug 7 19:22:11 2009
> DistroRelease: Ubuntu 9.10
> NonfreeKernelModules: nvidia
> P...

Read more...

Accepted nspluginwrapper into karmic-proposed for testing. Please give feedback! Sorry about the "declined" karmic task, I can't seem to be able to approve and set it (launchpad bug..)

Geoff McClinsey (geoffmcc) wrote :

> John Oliver :
> This bug appears to affect Microsoft Windows XP and 7 aswell. Have Adobe
> been told about this?

I have not come across any problem in clicking on anything while in flash however i can confirm that in the past week or more something defenatly has happened to flash in windows to where almost every youtube video will crash flash by going to full screen or switching to 720p

I am using Win7 64bit / cant speak to 32bit

Changed in chromium-browser:
status: New → Invalid
Changed in adobe-flashplugin (Ubuntu):
status: New → Invalid
Changed in gtk+2.0 (Ubuntu):
status: Confirmed → Invalid
Changed in ia32-libs (Ubuntu):
status: Confirmed → Invalid
Changed in nspluginwrapper (Fedora):
importance: Unknown → Undecided
status: Unknown → New

RussianNeuroMancer, please don’t change bugs without any justification.

Changed in nspluginwrapper (Fedora):
importance: Undecided → Unknown
status: New → Unknown

> RussianNeuroMancer, please don’t change bugs without any justification.
Current status of "nspluginwrapper (Fedora)" bugzilla in Red Hat Bugzilla is "CLOSED ERRATA". Isn't we should correct status of this bug here by hands while Bug watcher for Red Hat Bugzilla are disabled?

It’s better to wait for the bug watcher to come back up than to destroy the association between Launchpad bugs and Fedora bugs.

starti (mirage-kooo) on 2011-09-23
Changed in flashplugin-nonfree (Ubuntu):
assignee: nobody → starti (mirage-kooo)
Steve Langasek (vorlon) on 2011-09-23
Changed in flashplugin-nonfree (Ubuntu):
assignee: starti (mirage-kooo) → nobody
Changed in flashplugin-nonfree (Debian):
status: New → Won't Fix
Changed in flashplugin-nonfree (Debian):
status: Won't Fix → Fix Released

Any time I use a Ubuntu 12.04 session including compiz : click on flash dialog box has still no effect.

It works correctly with Kubuntu and Xubuntu.

description: updated
summary: - Adobe Flash Player does not respond to mouse clicks [READ DESCRIPTION]
+ Adobe Flash Player dialogues doesn't respond to mouse clicks
summary: - Adobe Flash Player dialogues doesn't respond to mouse clicks
+ Adobe Flash Player dialogues don't respond to mouse clicks
description: updated
description: updated

Umm, don't get me wrong, the way you have changed the description might well be a problem that needs fixing, but the original issue that this bug was created to report is not the one related to the new description.

The initial bug was for no mouse response to any clicks within the flash, not within dialogues.

Shall I revert the description then?
What I do with the bug that actually needs fixing? I open a new report?

Yes, please revert the description and file a new report. Hijacking a bug report does not help anybody understanding what's going on.

Changed in flashplugin-nonfree (Ubuntu):
assignee: nobody → Alberto Salvia Novella (es20490446e)
description: updated
summary: - Adobe Flash Player dialogues don't respond to mouse clicks
+ Buttons don't respond to mouse clicks
description: updated
Changed in flashplugin-nonfree (Ubuntu):
assignee: Alberto Salvia Novella (es20490446e) → nobody
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions

Remote bug watches

Bug watches keep track of this bug in other bug trackers.